xfree86 (4.1.0-16) unstable; urgency=high

  * patch #000_stolen_from_HEAD:
    - Pitch calculation updates for the r128 driver (#5074, Michel Dänzer).
  * patch #000_stolen_from_HEAD_xdm:
    - Fix bug in XDMCP implementation that causes sessions to close after
      approximately 48 days. (Keith Packard)
    - Fix absence of signal handling for interrupted reads from pipe in
      Xwilling code. (#A.728, Darren Marshall) (Closes: #140374)
  * patch #065: glibc-header-dependent SiS DRI build fix; updated comments to
    point to Debian mailing list discussion of this patch so that people can
    figure out what's going on
  * patch #066: supplementary patch to #065, which should handle the cases
    that #065 does not (thanks, Jack Howarth) (Closes: #141116)
  * patch #067: in the ELF module loader, do not assume that memory returned
    by malloc() is marked executable (needed by forthcoming Linux 2.4.18 for
    IA-64) (thanks, Bdale Garbee and David Mosberger)
  * patch #068: treat errno of ENODEV as non-fatal when trying to access I/O
    ports; based on a patch by Philip Blundell (Closes: #141357)
  * patch #312:
    - XKB keycodes file for Acorn RiscPC's, courtesy of Philip Blundell
  * patch #400: resynced with patch #068

  * debian/MANIFEST.*: updated to include new XKB RiscPC keycodes file
  * debian/MANIFEST.s390: updated yet again (thanks, Gerhard Tonn)
  * debian/control:
    - xserver-common now declares a versioned conflict against all XFree86 3.x
      X server packages prior to 3.3.6-35, due to the X server wrapper's
      changed expectations about how /etc/X11/X should be handled
      (Closes: #141636)
    - change architecture of x-window-system-core from "all" to "any" so that
      all that XWSC_SPECIAL_DEPENDS stuff actually has a chance to work; also
      updated this package's extended description (thanks, Gerhard Tonn)
  * debian/local/FAQ: added new question; "Why does the X server take up so
    much memory?"
  * debian/rules:
    - add special logic to install README and README.fonts files due to
      apparent bug in upstream Imakefile (thanks, Gerhard Tonn)
    - pass dpkg-gencontrol the substvar for x-window-system-core in the
      binary-arch rule, not binary-indep, now that x-window-system-core is
      architecture: any
  * debian/scripts/vars.s390: new variable, NOT_BUILDING_XF86_SERVER, used by
    above debian/rules patch (thanks, Gerhard Tonn)
  * debian/xdm.templates.pl: added Polish translation (thanks, Marcin Owsiany)
    (Closes: #142538)
  * debian/xdm.templates.ru: added Russian translation (thanks, Ilgiz
    Kalmetev) (Closes: #136937)
  * debian/xdm.templates.sv: added Swedish translation (thanks, Peter Toneby)
    (Closes: #141413)
  * debian/xlibs.{files.*,conffile}: updated to include new XKB RiscPC
    keycodes file
  * debian/xserver-common.templates.pl: added Polish translation (thanks,
    Marcin Owsiany) (Closes: #142542)
  * debian/xserver-common.templates.ru: added Russian translation (thanks,
    Ilgiz Kalmetev) (Closes: #136615)
  * debian/xserver-common.templates.sv: added Swedish translation (thanks,
    Peter Toneby) (Closes: #141415)
  * debian/xserver-xfree86.config:
    - don't ignore autodetected mouse protocol (Closes: #142005)
    - if mouse autodetection fails, set template to false in the case question
      doesn't get asked (for noninteractive configuration)
    - don't ask autodetection questions if reconfiguring the package
  * debian/xserver-xfree86.templates.ru: added Russian translation (thanks,
    Ilgiz Kalmetev) (Closes: #138325)
  * debian/xserver-xfree86.templates.sv: added Swedish translation (thanks,
    Peter Toneby) (Closes: #141412)

 -- Branden Robinson <branden@debian.org>  Tue, 16 Apr 2002 06:39:42 -0500

xfree86 (4.1.0-15) unstable; urgency=high

  * the "I want super-stable releases every 2 months and CVS HEAD every day"
    release
  * patch #000_stolen_from_HEAD:
    - Alan Hourihane's fix for calculation of DPI when Xinerama is in use
      (Closes: #127749)
    - SECURITY: Don't abuse the priviledges of the X server to access shared
      memory segements in MIT-SHM (Roberto Zunino, Matthieu Herrb).
      (Closes: #140862)
    - fix erroneous variable reference that could cause Xft to be disabled
      when LD_BIND_NOW is used, causing stack poisoning (Keith Packard, Kevin
      Puetz) (Thanks, Kevin!) (Closes: #137145)

  * patch #064: fix in fbdev driver; fbdev wasn't telling shadow layer when
    there was no framebuffer available (i.e., when switched away to a
    different VT) (patch courtesy of Keith Packard, Roland Schulz, and Michel
    Dänzer)
  * patch #065: raped again by Herbert Xu and Ben Collins; you're not
    "supposed to" Build-Depend on a kernel package and at the same time the
    glibc versions of the kernel headers exclude SiS DRM ioctls that we need
    #defined to compile properly.  Kludge these #defines into sis_alloc.c
    because, of course, it's XFree86's job to know what the uderlying kernel's
    ioctl numbers are.  While we're at it, why don't we just stop using
    standardized constants in our C programs altogether?  :-P  Oh, by the way,
    these are the ioctl's for i386 Linux.  Talk to Herbert and Ben if this
    sucks for you. (Closes: #139511)
  * patch #451: fix for page size problems on ia64 (thanks, Bdale Garbee and
    Chris Ahna)
  * patch #452: workaround for an ATI expansion ROM problem that is fatal on
    HP McKinley prototype systems (thanks, Bdale Garbee)
  * patch #500: Gerhard Tonn's patches to enable X server code on the s390
    architecture; however, the XFree86 X server itself is still not built.
    Also affected:
    + debian/MANIFEST.s390
    + debian/control
    + debian/rules
    + debian/scripts/vars.s390
    + debian/xbase-clients.conffiles.s390
    + debian/xbase-clients.files.s390
    + debian/xlibs-dev.files.s390

  * debian/control:
    - xlibs Conflicts: xcontrib (<< 4.0) and xsm (<< 4.0); this should help
      apt figure out some upgrade paths
    - xvfb Suggests: xbase-clients (Closes: #134947)
    - x-window-system-core Depends: ${F:XWSC-Special-Depends} instead of
      "xserver-xfree86" (see below, should make this package installable on
      s390) (Closes: #137587)
  * debian/local/FAQ: added new question; "Why doesn't the X server package
    just depend on the xfonts-base package?"
  * debian/local/Xsession.d/20xfree86-common_process-args: also test for null
    return from "which" run on program specified on command-line
    (Closes: #133002)
  * debian/local/Xsession.d/50xfree86-common_determine-startup: correct and
    quote a variable reference to prevent unintended reads from standard input
    (thanks, Robert Bihlmeyer) (Closes: #131291)
  * debian/local/Xwrapper.config: correct range of permitted nice values
  * debian/local/dexconf: give users more information in comment block of
    written X server configuration files (Closes: #136438)
  * debian/local/dexlet/main.py:
    - update BusID validation code to reject hexadecimal digits, and accept
      3-digit bus numbers (thanks, Richard Hirst)
    - update BusID validation code to accept XFree86's special "-1" value,
      which appears to indicate an ISA bus
    - store selection_method template from configlet (thanks, Richard Hirst)
  * debian/local/xvfb-run{,.1}: xvfb-run checks for existence of xauth, and
    exits with an error message if it cannot be found (thanks, David Schleef)
  * debian/local/xserver-wrapper.c: change nice() usage to fit SuSv2
    semantics; see Debian Bug #140012
  * debian/rules:
    - define special substvar F:XWSC-Special-Depends to take care of the fact
      that s390 doesn't build xserver-xfree86, and still keep the
      x-window-system-core metapackage useful
    - ship text version of xterm FAQ again (thanks, Laurent Bonnaud)
      (Closes: #137529)
  * debian/scripts/vars.*: define XWSC_SPECIAL_DEPENDS for all architectures
    except s390
  * debian/shlibs.local: resynced with xlibmesa3.shlibs (see below)
  * debian/xbase-clients.preinst.in: remove obsolete xconsole alternative if
    it exists (Closes: #131251)
  * debian/{xdm,xserver-common,xserver-xfree86}.templates.ca: added Catalan
    translations (thanks, Ivan Vilata i Balaguer) (Closes: #133791)
  * debian/xdm.templates.fr: added French translation (thanks, Jean-Christophe
    Dubacq)
  * debian/xdm.templates.it: added Italian translation (thanks, Matteo
    Dell'Amico) (Closes: #135915)
  * debian/xdm.templates.ja: added Japanese translation (thanks, Tomohiro
    KUBOTA)
  * debian/xfree86-common.doc-base.debian-x-faq: correct typo (thanks, Laurent
    Bonnaud) (Closes: #137524)
  * debian/xlibmesa3.shlibs: "libgl1" to "xlibmesa3 | libgl1" so that packages
    using this library don't get a pure virtual dependency in their control
    data (Closes: #135443)
  * debian/xserver-common.preinst.in: if /etc/X11/Xserver exists, echo a note
    it being obsolete, and move it (thanks, Joey Hess)
  * debian/xserver-common.templates.dk: added Danish translation (thanks,
    Dennis Haney) (Closes: #131611)
  * debian/xserver-common.templates.fr: updated French translation (thanks,
    Jean-Christophe Dubacq)
  * debian/xserver-common.templates.it: added Italian translation (thanks,
    Matteo Dell'Amico) (Closes: #135908)
  * debian/xserver-common.templates.ja: updated Japanese translation (thanks,
    Tomohiro KUBOTA) (Closes: #137861)
  * debian/xserver-xfree86.config:
    - big-time changes, mostly to support DEBIAN_FRONTEND=noninteractive
    - documented proper syntax for the shell functions used
    - changed syntax of exiting validate_* functions so that question priority
      is supplied as an argument, and updated all function invocations to
      correspond to this
    - new functions; validate_bus_id_db_input(),
      validate_monitor_frequency_db_input(), and auto_answer(); use these
      new validate_* functions when getting bus ID's and monitor data, instead
      of inlining the code
    - stopped using and eliminated tsl() function; dropped in favor of
      auto_answer() instead
    - collect information about installed video cards in one pass at the
      beginning of the script, and set NSERVERS, NDRIVERS, NCARDS, and MULTIHEAD
      accordingly
    - MULTIHEAD is now set if NCARDS is greater than one, not NSERVERS
    - updated and added some debugging messages
    - migrated debconf questions that *MUST* have answers, and do not have
      "safe" defaults, to use auto_answer() instead, note that if you do not
      pre-answer these questions and configure this package with the
      noninteractive frontend, the X server is NOT guaranteed to be configured
      in a sane way
    - change all autodetect questions to use auto_answer() function, set to
      false if the question cannot be asked, and stop setting the seen flag to
      false before asking the question (Closes: #137869)
    - specify MAY_BE_NULL variable on the same line as the call to
      validate_string_db_input, always
    - handle case where mdetect returns no output at all; also, break out of
      autodetection loop after one iteration if the autodetection question is
      not being aksed
    - don't do string compares on $?
    - pre-answer video card and monitor identifier questions with
      locale-specific generic answer when a default cannot be determined with
      probing
  * debian/xserver-xfree86.templates.fr: updated French translation (thanks,
    Jean-Christophe Dubacq)
  * debian/xserver-xfree86.templates.it: added Italian translation (thanks,
    Matteo Dell'Amico and Emanuele Aina) (Closes: #135966)
  * debian/xserver-xfree86.templates.ja: updated Japanese translation (thanks,
    Tomohiro KUBOTA)

 -- Branden Robinson <branden@debian.org>  Tue,  2 Apr 2002 14:30:05 -0500

xfree86 (4.1.0-14) unstable; urgency=low

  * patch #000_stolen_from_HEAD:
    - Alan Hourihane's fix for the server's ELF object loader on m68k
    - Phil Blundell and Adam C. Powell IV's patches for ARM support in the ELF
      object loader accepted upstream

  * patch #251,#312,#999_m68k_debug_elfloader: removed

  * debian/MANIFEST.*: updated to reflect restored configlet
  * debian/control:
    - xserver-common Conflicts: configlet (<= 0.9.22) to force ancient,
      API-incompatible, Progeny-only version of the configlet engine off of
      the system
    - xserver-common Suggests: configlet-frontends to gently encourage people
      to try out this new configuration mechanism
  * debian/local/dexconf: if we're moving an existing config file out of the
    way, just write the new one without reference to the old one
    (Closes: #129434)
  * debian/rules:
    - move two font aliases from xfonts-base to xfonts-base-transcoded, since
      that's where the actual fonts are (thanks, Manfred Wassman)
      (Closes: #128925)
    - ship the configlet again
  * debian/xdm.templates.de: added German translation (thanks, Veit Waltemath)
    (Closes: #129693)
  * debian/xserver-common.{config,templates*}: nice values max out at 19, not
    20; corrected validation code and templates accordingly
  * debian/xserver-common.files: restored the following files:
    - usr/share/configlets/xserver-common/desktop.xpm
    - usr/share/configlets/xserver-common/main.glade
    - usr/share/configlets/xserver-common/main.py
    - usr/share/configlets/xserver-common/monitor.xpm
    - usr/share/configlets/xserver-common/pointer.xpm
    - usr/share/configlets/xserver-common/videocard.xpm
    - usr/share/configlets/xserver-common/xserver.xpm
  * debian/xserver-common.templates.de: updated German translation (thanks,
    Andreas Metzler) (Closes: #129206)
  * debian/xserver-xfree86.config:
    - add missing "db_go" after input of simple monitor question (thanks, John
      R. Daily) (Closes: #129237)
    - correct cut-n-paste error in multiple video driver support code
  * debian/xserver-xfree86.templates*: correct spelling of "diaereses"
    (plural)
  * debian/xserver-xfree86.templates.de: updated German translation (thanks,
    Andreas Metzler) (Closes: #129357)
  * debian/xfonts-base-transcoded.{conffiles,dirs}: new files to support the
    above font alias fix

 -- Branden Robinson <branden@debian.org>  Mon, 28 Jan 2002 02:30:31 -0500

xfree86 (4.1.0-13) unstable; urgency=HIGH

  * the "this is what happens when you leave files with names like 'foo' and
    'butt' lying around in the debian/ directory of your source package"
    release
  * high-urgency upload because I accidentally broke imake on all
    architectures except arm, m68k, powerpc, and s390

  * really apply patch #450: new; Alex Williamson's ia64 patch to avoid
    programmed I/O in the ATI driver (Closes: #125834)
  * patch #063: new; fix for nonstandard textmode restoration on Matrox G450
    (thanks, Greg Norris) (Closes: #122121)
  * patch #907: fix cut-n-paste error which broke the xterm default foreground
    and background colors (Closes: #128807)

  * debian/local/dexconf: if config file exists but
    move_existing_nondebconf_config is true, ignore the existing one and
    overwrite it
  * debian/{xdm,xserver-common,xserver-xfree86}.templates.es: updated Spanish
    translation (thanks, David Martínez Moreno)
  * debian/xserver-xfree86.config: when backing up existing non-debconf config
    file out of the way, cp istead of mv'ing (Closes: #128826)
  * debian/xserver-xfree86.templates:
    - documented how to specify multiple XkbOptions
    - fixed bad paragraph separator and repeated word typo
  * debian/xutils.files: really ship /usr/X11R6/lib/X11/config
    (Closes: #128749)
  * debian/xserver-xfree86.postinst.in: if managing config file with debconf,
    always force move_existing_nondebconf_config to false and not seen after
    calling dexconf

 -- Branden Robinson <branden@debian.org>  Sat, 12 Jan 2002 03:31:53 -0500

xfree86 (4.1.0-12) unstable; urgency=low

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Fix a bug in readPciBIOS() that was causing incorrect values to be
      written back to the PCI config space (#5109, Luugi Marsan).
    + Fix twm core dump if no locales are present (#4902, Johnathan Kamens)

  * patch #000_stolen_from_HEAD:
    + Gerd Knorr's v4l fixes (memPhysBase issues in r128 and radeon drivers,
      and correct handling of multiple v4l devices) (Closes: #125865)
    + Default *sampleText*international to false in xfontsel's app-defaults
      file, since it breaks if the user has '*international: true' (#4842,
      Juliusz Chroboczek). (Closes: #126672)
    + Remove OS dependency from vgaHW.c, fixing colormap restoration on the
      Hurd. (Closes: #106605)

  * patch #000_stolen_from_HEAD_xterm: xterm patch #165
    + modify "uxterm" script to strip encoding part from environment
      variable before adding ".UTF-8" (based on Debian #125947, but
      using a more portable solution). (Closes: #125947)
    + add an assignment statement in VTInitialize() to make "awaitInput"
      resource work.
    + use new macros init_Bres(), etc., in VTInitialize() to add trace of
      the initialization of resources.
    + modify checks for $LC_ALL, related environment variables to ensure
      the resulting strings are nonempty (report by Markus Kuhn).
    + add an ifdef in charproc.c for num_ptrs variable in case all
      configure options are disabled.
    + modify definition of getXtermBackground() to avoid negative array
      index warning on Tru64 (report by Jeremie Petit).
    + improve fix from patch #165 (still Debian #117184, report by Matt
      Zimmerman <mdz@debian.org>) (Closes: #117184)
    + correct install rule for uxterm in Makefile.in, to handle the case
      where building in a different directory than xterm's source (patch by
      Paul Gilmartin).
    + documented ANSI.SYS-style cursor save/restore escape sequences in
      ctlseqs.ms, which are in xterm since X11R5.
    + correct two entries in the default charClass table, which did not
      follow the manpage comment about the character number corresponding
      to the class (patch by Marc Bevand <bevand_m@epita.fr>).
    + fix a couple of typos in comments in the app-defaults files (David
      Krause <xfree86@davidkrause.com>).
    + Modify UXTerm.ad's font5 resource so that xterm can display double
      width characters using a font distributed with XFree86 (#4962, Tomohiro
      KUBOTA). (Closes: #122109)
    + Restore a comparison to zero in getXtermBackground() still needed
      because some other parts of the code may pass a negative number.
    + Modify getXtermForeground() to also compare against MAXCOLORS so the two
      macros make similar range checks.
    + Also, add a couple of null-pointer checks to _GetSelection(), found in
      the trace-code while debugging the problem with getXtermBackground().

  * patch #052: update Imakefile to actually be cognizant of new "alt" symbols
    file from -9 (thanks, Jochen Voss) (Closes: #125933)
  * patch #058: new; manpages for ccmakedep, cleanlinks, gccmakedep, mergelib,
    and mkhtmlindex, courtesy of Colin Watson (Closes: #31398, #126424)
  * patch #059: new; install bdftruncate and ucs2any binaries without .pl
    extension, include manpages for them, and fix a typo in bdftruncate's
    usage message (Closes: #101456)
  * patch #060: new; install dynamic server modules with nonexecutable file
    mode (Closes: #88284)
  * patch #061: new; updates to Xserver(1) manual page
  * patch #062: new; fixes to proxymngr(1) manual page (Closes: #87279)
  * patch #251: new; Erik van Roode's m68k module loader fix
  * patch #450: new; Alex Williamson's ia64 patch to avoid programmed I/O in
    the ATI driver (Closes: #125834)
  * patch #907: resynced with patch #000_stolen_from_HEAD_xterm

  * debian/MANIFEST.*: updated to reflect new alt symbols file, new manpages,
    renamed bdftruncate and ucs2any executables, and removed configlet
  * debian/control:
    - correct typo in xlibs-dev's extended description (Closes: #125549)
    - xutils Replaces: xlibs-dev (<< 4.1.0-12) (see below)
  * debian/local/FAQ: added question "How do I add custom sections to a
    dexconf-generated XF86Config or XF86Config-4 file?"
  * debian/local/dexconf:
    - write out BusID parameter to XF86Config-4 files, if the template has a
      non-null value
    - remove rewriting of auto-detected /dev/input/mouse0 mouse port as
      /dev/input mice (code moved to xserver config scripts)
    - write out Mono, VGA2, and VGA16 Screen sections to version 3 XF86Config
      files
    - cannot use glob expansion anymore when writing version 3 XF86Config
      (Closes: #126339)
  * debian/local/update-fonts-{alias,dir,scale}: issue more warnings when
    these commands are misused
  * debian/local/xserver-wrapper.c: fix logic that was supposed to also allow
     unprivileged use of "-version" option but which actually forbade both
     "-showconfig" and "-verbose"; also let unprivileged users specify "-help"
     option to get a usage message
  * debian/rules:
    - gar, install xserver-xfree86 bug file in the correct rules
    - comment out install of configlet, since the configlet API has changed
  * debian/shell-lib.sh: add font_update() function to simplify font package
    maintainer scripts
  * debian/xdm.pam: remove reference to "pam_condev.so", since at this point
    it is unlikely that this Progeny-authored package will ever be uploaded to
    Debian (Closes: #127924)
  * debian/xfonts-{{100dpi,75dpi,base}{,-transcoded},cyrillic,scalable}.
    {postinst,postrm}.in: use new font_update function in shell-lib.sh
  * debian/xlibs.{conffiles,files*}: really ship new alt symbols file
  * debian/xlibs-dev.files*: stop shipping contents of
    /usr/X11R6/lib/X11/config
  * debian/xserver-common.files: temporarily removed the following files:
    - usr/share/configlets/xserver-common/desktop.xpm
    - usr/share/configlets/xserver-common/main.glade
    - usr/share/configlets/xserver-common/main.py
    - usr/share/configlets/xserver-common/monitor.xpm
    - usr/share/configlets/xserver-common/pointer.xpm
    - usr/share/configlets/xserver-common/videocard.xpm
    - usr/share/configlets/xserver-common/xserver.xpm
  * debian/xserver-common.templates.pt_BR: updated Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #123342)
  * debian/xserver-xfree86.config:
    - fix broken migration from "Expert" to "Advanced" in monitor
      selection-method template
    - enable user to bypass video card, mouse, and monitor autodetection
      when the tools to perform them are installed
      (Closes: #79369, #88357, #117171)
    - populate driver list by scanning contents of server module directory, if
      possible (thanks, David Engel) (Closes: #123344)
    - enable user to specify BusID of primary video card (important for
      PowerPC and multihead users)
    - if /proc/fb does not exist but use_fbdev has already been set to true,
      force it to false (thanks, Roland Mas)
    - rewrite auto-detected /dev/input/mouse0 mouse port as /dev/input mice
      (code moved from dexconf)
    - skip monitor autodetection if horiz sync and vert refresh questions have
      answers, not just if they are seen
    - call db_go after db_input on LCD question (oops)
    - throw away a null monitor identifier from get-edid
    - (even) more verbose debugging output
  * debian/xserver-xfree86.templates:
    - added autodetect_{video_card,mouse,monitor} templates
    - removed retry_mouse_autodetection template
    - updated wording in config/device/driver template (Closes: #127966)
    - added config/device/bus_id template
    - added more information to config/monitor/mode-list template
    - correct typo in template description (thanks, Marius Gedminas)
      (Closes: #123308)
    - correct more typos in template description (thanks, Pete Lypkie)
      (Closes: #123784)
  * debian/xserver-xfree86.templates.pt_BR: updated Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #123341)
  * debian/xutils.links: remove all links to undocumented(7) manpage
  * debian/xutils.files*:
    - ship new bdftruncate, ccmakedep, cleanlinks, gccmakedep, mergelib,
      mkhtmlindex, and ucs2any manpages
    - ship {bdftruncate,ucs2any} executables, not {bdftruncate,ucs2any}.pl
    - ship contents of /usr/X11R6/lib/X11/config (Closes: #126671)

 -- Branden Robinson <branden@debian.org>  Wed,  9 Jan 2002 13:06:44 -0500

xfree86 (4.1.0-11) unstable; urgency=medium

  * the "honk if you ignore manpages and changelogs" release
  * medium urgency upload because some people were annoyed with the debconf
    enhancements in -10; this release attempts to be more things to more
    people, but due to the law of conservation of cluelessness, this means
    more incoherent anger will simply be concentrated among fewer people

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Autodetect when -fno-merge-constants is needed for building modules,
      and enable its use by default in those cases (Marc La France, David
      Dawes, Mike Harris).

  * debian/MANIFEST.s390: updated (thanks, Gerhard Tonn)
  * debian/control: tighten xserver-common's versioned dependency on debconf
    again, to 1.0.21, for the reasons mentioned in that version's changelog
    entry
  * debian/local/dexconf{,.8}: refuse to write anything if no debconf markers
    are in the config file (and document this change in behavior in the manual
    page, which no one reads anyway)
  * debian/local/xserver-wrapper.c: skip lines in Xwrapper.config that don't
    match expected format (e.g., comments)
  * debian/xserver-common.config:
    - don't ask any further debconf questions if the user does not wish to
      manage the wrapper config file with debconf
    - don't ask any further debconf questions if user chooses to manage config
      file with debconf but existing file has no markers and user refuses to
      move it
    - don't ask about clobbering the X server wrapper config file
    - fix validation test for nice value template (Closes: #123021)
  * debian/xserver-common.postinst.in: only write X server wrapper config file
    if user wants to manage it with debconf, and it contains debconf markers
  * debian/xserver-common.templates:
    - removed old "clobber X server wrapper config file" template
    - added "manager X server wrapper config file with debconf" template
    - added "move old non-debconf-marker-using config file" template
  * debian/xserver-xfree86.config:
    - don't ask any XF86Config-4 questions if user does not wish to manage the
      config file with debconf
    - don't ask any XF86Config-4 questions if user chooses to manage config
      file with debconf but existing file has no markers and user refuses to
      move it
    - don't ask about clobbering the X server config file
    - fix validation test for horizontal sync and vertical refresh string
      inputs (my fix for #120521 had problems) (thanks, Greg Norris)
      (Closes: #123070)
    - validation tests for double-quotes and numeric input were too generous;
      made stricter
    - add driver list for hppa architecture, containing only "fbdev"
  * debian/xserver-xfree86.postinst.in: only invoke dexconf if user wants to
    manage the config file with debconf
  * debian/xserver-xfree86.templates:
    - removed old "clobber X server config file" template
    - added "manage server config with debconf" template
    - added "move old non-debconf-marker-using config file" template
    - added internal-use-only keyboard/internal template (do not translate
      this template)
  * debian/xserver-xfree86.templates.pt_BR: updated Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #123078)

 -- Branden Robinson <branden@debian.org>  Mon, 10 Dec 2001 04:41:36 -0500

xfree86 (4.1.0-10) unstable; urgency=high

  * the "advancing decrepitude" release
  * urgency high to make it into woody before freeze, plus this release fixes
    some dangling file descriptor problems in xfs which some people consider a
    security issue
  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Make the vbe module build like the other modules.
    + Fix a casting problem which causes bdftopcf to write corrupted
      fonts on buffer boundaries (#A.522, Jakub Bogusz).
    + Add a missing sk_SK locale.alias entry (#A.553, Ladislav Kostal).
    + Fix a VT switching crash in the cirrus driver when acceleration is
      disabled (#A.489, Kirill V. Semenkov, #A.518, B. D. Elliott).
    + Fix an unresolved symbol warning in the i128 driver (#A.465, Paul).
    + Fix the return value information in the Xv library man pages (#A.458,
      Tommi Vainikainen).
    + Fix a bug in the Serbian XKB map (#A.424, Anton Zinoviev).
  * patch #000_stolen_from_HEAD:
    + remove cirrus alpine VT switching crash fix since it is now above
    + Alan Hourihane: Fix typo in PCI bus scanning that caused a hang when
      there was more than one PCI bus (#A.652, Uwe Dannowski).
    + Paulo César Pereira de Andrade: fixes to Xaw manpage
    + Keith Packard: bugfix to miwideline.c: width 1 lines sometimes skipped
      the join
  * patch #000_stolen_from_HEAD_xdm:
    + a bunch of compiler warning cleanups, and a new upstream fix for the
      xdm-server-crash-cycle-of-death that we've had our own patch for for a
      long time
  * patch #000_stolen_from_HEAD_xinit:
    + a bunch of compiler warning cleanups, and upstream's incorporation of
      our startx patches
  * patch #000_stolen_from_HEAD_xterm: xterm patches #163 and #164
    + modify xterm manual page and minstall.sh to allow imake rules to define
      location of app-defaults directory (Debian #87611)
    + correct a case where "ptyInitialErase" and "backarrowKeyIsErase"
      resources combine to set "DECBKM" mode, but a "reset" command would
      not reset xterm to that state, making the erase character revert to
      ^H (Debian #117184)
    + (Closes: #117184) (#87611 was already fixed in -9)

  * patch #002,021,024: use proper preprocessor test for "LinuxDebian"
  * patch #004,010,019,020: removed; incorporated upstream
  * patch #002: xdm updated to support proper daemonization under glibc-based
    systems and not mess with the pid file except to write to it once and
    close it; also more helpful error messages when pid writing fails
  # patch #003: xfs updated to support proper daemonization under glibc-based
    systems and not mess with the pid file except to write to it once and
    close it; also more helpful error messages when pid writing fails
    (Closes: #84693)
  * patch #011: resynced with #000_post_410
  * patch #018: removed; superseded by #053
  * patch #039:
    - fix typos in patches to xcalc and xclock manpages which
      prevented expansion of __apploaddir__
    - resync with 000_stolen_from_HEAD_xterm
  * patch #045: new; implement "saveLines" resource and command-line option
    for xconsole, so that the amount of message history can be controlled
    (Closes: #11429)
  * patch #046: new; support for bulding PIC-enabled static libraries as
    lib*_pic.a; build Xv, Xxf86dga, and Xxf86vm this way
    (thanks, Matthieu Herrb)
  * patch #047: new; version 1.8 of Mark Leisher's ClearlyU fonts
  * patch #048: new; migrate from "<XRoot>" notation to __projectroot__ in
    manual pages (Closes: #31213)
  * patch #049: new; patch by Harald Koenig to fix flickering problem on
    i815EM chipsets (Closes: #118038)
  * patch #050: new; miscellaneous fixups to XF86Config-4 manpage
    (Closes: #106127)
  * patch #051: new; cleanups to XKB macintosh/us symbols file
  * patch #052: new; new XKB "alt" symbols file (used like the ctrl symbols
    file) to permit swapping alt and meta keys, and making alt keys meta keys
  * patch #053: new; update to version 1.6.13 of Kevin Brosius's s3virge
    driver
  * patch #054: new; fix misspelling of "fifo_aggressive" in Cards file
    (thanks, Jeronimo Pelligrini)
  * patch #055: new; map AE12 key in XKB German nodeadkeys layout to use
    apostrophe instead of acute (thanks, Andreas Metzler) (Closes: #122525)
  * patch #056: new; add TrueType directory to default XftConfig file and
    don't try to use Lucidux fonts, which are not available in main
    (Closes: #107611, #122657)
  * patch #057: new; fix iso8859-15 compose file to account for lack of
    spacing diaeresis key and codepoint (thanks, Wolfgang Sourdeau and Rüdiger
    Kuhlmann) (Closes: #97433)
  * patch #311,312: fix for ARM cache flushing problem in XFree86 module
    loader (thanks, Phil Blundell)
  * patch #907:
    - remove commented-out workaround for xterm bug that has been fixed for a
      while now
    - add Athena version 7 niftiness to XTerm-color app-defaults file

  * debian/MANIFEST.*:
    - updated to reflect new *_pic.a objects
    - updated to reflect new xvfb-run command and manpage (except on s390)
  * debian/control:
    - tighten xlibs-dev's versioned dependency on xlibs
    - tighten xserver-xfree86's version dependency on xserver-common, so
      dexconf will be the version needed to support the debconf questions
    - new package: xlibs-pic (for extremely specialized use ONLY)
    - s/offscreen/off-screen/ in package descriptions (thanks, Matt Zimmerman)
  * debian/{libdps1,libxaw6,libxaw7,xlibmesa3,xlibosmesa3,xlibs}.
    post{inst,rm}.in: get right with Chapter 9 ldconfig policy
  * debian/local/FAQ: modernize some of the xmodmap discussion (thanks, Ernst
    Kloppenburg) (Closes: #119691)
  * debian/local/README.Debian-upgrade:
    - updated to document new xmodmap migration procedure (see below)
    - also extensively expanded for Release Notes fodder, and to cut out
      debconf abuse per Joey Hess
  * debian/local/Xsession: run_parts() should only return the names of plain
    files (thanks, Jeff Sheinberg) (Closes: #118172)
  * debian/local/debian{,bw}.xpm: updated, better-looking versions, courtesy
    of Jared Johnson (Closes: #120168)
  * debian/local/dexconf:
    - no longer completely overwrites XF86Config files; instead, just replaces
      the part between "### BEGIN DEBCONF SECTION" and "### END DEBCONF
      SECTION", so people can add their own ServerFlags sections, their own
      Layouts, do multi-head support, etc. etc. etc.
    - recognize all XFree86 3.x X servers
    - temporary directory should be named after dexconf, not dexter
    - don't write ServerFlags section anymore
    - write Modules section as configured by user (don't write if no Modules
      enabled)
    - write Files and DRI sections only if the templates say to do (Files only
      for version 3 servers)
  * debian/local/dexconf.8: updated
  * debian/local/uxterm: deleted in favor of the one that is now upstream
  * debian/local/xvfb-run{,.1}: new command and its manpage
  * debian/rules:
    - don't install local version of uxterm (it no longer exists)
    - install new xfvb-run command and its manpage
    - install new xserver-xfree86 hook file for bug and reportbug
  * debian/xbase-clients.conffiles:
    - add /etc/X11/xsm/system.xsm (thanks, Ronald E. Lipovits)
      (Closes: #118117)
    - add /etc/X11/app-defaults/Xmessage-color
  * debian/xbase-clients.{preinst,postinst,prerm}.in: change xkbcomp migration
    logic a little; if /etc/X11/Xmodmap is the version shipped with the
    package, delete it; otherwise, move it.  The reason is that the default
    version contained in the package contained only comments, and an example
    file is already shipped in /usr/share/doc/xbase-clients/examples.
    (thanks, Andreas Tille)
  * debian/xbase-clients.{templates*,config}: removed for debconf abuse
  * debian/xbase-clients.files: actually ship new Xmessage-color app-defaults
    file
  * debian/xdm.pam: add "nullok" to permit users without passwords to log in
    using xdm (Closes: #115535)
  * debian/xdm.{templates*,config}: put on a diet for debconf abuse
  * debian/xdm.templates.pt_BR: correct typos in translation (thanks, Pedro
    Zorzenon Neto) (Closes: #122437)
  * debian/{xdm,xfs}.init: use a regex test in stillrunning() instead of a
    literal string compare, because arguments also appear in
    /proc/$PID/cmdline, separated by nulls
  * debian/xfree86-common.postinst.in: change xkbcomp migration logic a
    little; if /etc/X11/Xsession.d/40xfree86-common_xmodmap is the version
    shipped with the package, delete it; otherwise, move it.  The reason is
    that, in all likelihood, people modifying it did not anticipate the
    changes in /etc/X11/Xsession that would render a slightly modified old
    version useless.  (thanks, Andreas Tille)
  * debian/xfs.README.Debian: corrected typo (thanks, Mark Purcell)
    (Closes: #117358)
  * debian/xfs.{templates*,config}: removed for debconf abuse
  * debian/xlibmesa3.{templates*,config}: removed for debconf abuse
  * debian/xlibs-pic.files: ship new *_pic.a objects
  * debian/xserver-common.{templates*,config}: put on a diet for debconf abuse
  * debian/xserver-common.templates.pt_BR: updated (thanks, Andre Luis Lopes)
    (Closes: #120845)
  * debian/xserver-xfree86.bug: new; hook file for bug and reportbug
  * debian/xserver-xfree86.{templates*,config}:
    - put on a diet for debconf abuse
    - improved XKB support (Closes: #84127)
    - don't permit doublequotes in string inputs (Closes: #116608)
    - well, Zephaniah Hull was his usual helpful self, so just give gpm users
      every option there is and let them figure it out; FAIR WARNING: any bugs
      filed against X asking about gpm repeater protocols will be reassigned
      to gpm; if you want sanity, dpkg -P gpm (Closes: #117711)
    - don't permit anything but digits in video RAM input (Closes: #121607)
    - support customization of Modules section
    - let the user disable the writing of the Files and DRI sections
    - remove question about clobbering XF86Config file, since we don't clobber
      it anymore
    - allow non-leading spaces in horizontal sync and vertical referesh inputs
      (thanks, Dr. Peter Kalthare) (Closes: #120521)
  * debian/xvfb.files: ship new xfvb-run command and its manpage

 -- Branden Robinson <branden@debian.org>  Thu,  6 Dec 2001 06:06:17 -0500

xfree86 (4.1.0-9) unstable; urgency=low

  * the "Wise Lord Ahura-Mazda, Hear My Prayer" release

  * patch #000_stolen_from_HEAD_xterm: xterm patch #162
    + correct logic that processes class option, so that a following -e option
      is handled (Debian #116297).
    + improve options-decoding to allow -version and -help options to be
      combined (Debian #110226).
    + add a 10 millisecond delay in event loop when processing -hold option,
      to avoid using too much CPU time (Debian #116213).
    - (Closes: #110226, #116213, #116297)

  * patch #001:
    - force building of GLX and GLU libraries on all Debian systems
    - allow building of GLX library without PIC symbols on Alpha, ARM, and
      SPARC as well as i386
  * patch #036: fix to imake.c to correct C library version detection on
    hppa; tested and works on hppa,i386,m68k,powerpc,sparc (thanks, Ben
    Collins) (Closes: #105934)
  * patch #037: recognize ATI Rage Pro 128 "PP" chips (Mike A. Harris)
  * patch #038: twm needs to be aware of POSIX getenv() semantics (Chris Bare)
  * patch #039: fix references to app-defaults directory in manpages
    (groundwork laid and xterm fixed by Thomas Dickey) (Closes: #87611)
  * patch #040: improved keysym description in xmodmap manpage (thanks,
    Jonathan Amery) (Closes: #105967)
  * patch #041: add prototype for XShmGetEventBase() to XShm.h
    (Closes: #37039)
  * patch #042: correction to XtSetKeyboardFocus() manpage (Closes: #25362)
  * patch #043: fix a mismatch between the XF86VidMode manpage and its header
    file, reference new XF86VidMode functions and structures in manpage, and
    install manpage aliases for new functions; however, I did not document how
    to *use* the new functions since I haven't written any code using this
    extension (Closes: #116499)
  * patch #044: fix markup error in XtFindFile() manpage (thanks, Jochen Voss)
    (Closes: #116615)
  * patch #907: resynced with #039

  * debian/MANIFEST.hppa: updated to reflect fixes to patch #001
  * debian/MANIFEST.*: (all but s390) updated to reflect new XF86VidMode*
    manpages
  * debian/control:
    - bumped versioned dependencies on debconf to >> 0.5, except in the case
      of xserver-common, which needs >= 1.0.16 due to a bugfix in debconf
    - mention in xserver-xfree86's extended description that loadable server
      module support is not available on hppa
    - add ia64 to architecture list for xlibosmesa-dev (shame on me)
  * debian/local/README.Debian-upgrade: xmh was resurrected from death; do not
    list it as nonexistent (Closes: #116562)
  * debian/local/Xsession.5: remove reference to "allow-user-xmodmap" from
    example code (Closes: #115161, #116818)
  * debian/xbase-clients.templates.pt_BR: added Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #116447)
  * debian/xdm.config:
    - migrate from "isdefault" to "seen"
    - remove the default display manager file if the user changes his answer
      to the question (instead of only if the new choice is the same as the
      current package)
  * debian/xdm/postinst.in: if the default display manager file does not
    exist, write it with the name of the daemon of the selected display
    manager, if it isn't ours
  * debian/xdm.prerm.in:
    - migrate from "isdefault" to "seen"
    - remove the default display manager file if it currently references the
      display manager that is being removed, then write it if it does not
      exist after the user has answered the question
  * debian/xdm.templates: add xdm/daemon_name template; this is for internal
    use only and does not require translation
  * debian/xdm.templates.pt_BR: added Brazilian Portuguese translation
    (thanks, Andre Luis Lopes) (Closes: #116455)
  * debian/xfs.templates.pt_BR: added Brazilian Portuguese translation
    (thanks, Andre Luis Lopes) (Closes: #116458)
  * debian/xlibmesa3.templates.pt_BR: added Brazilian Portuguese translation
    (thanks, Andre Luis Lopes) (Closes: #116460)
  * debian/xlibs-dev.files: ship new XF86VidMode* manpages
  * debian/xserver-common.config:
    - migrate from "isdefault" to "seen"
    - uncomment code that tickled horrible, horrible bug in debconf 0.3.83
      (see change to debian/control above)
  * debian/xserver-common.templates.pt_BR: updated Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #116508)
  * debian/xserver-xfree86.prerm.in: migrate from "isdefault" to "seen"
  * debian/xserver-xfree86.templates.pt_BR: updated Brazilian Portuguese
    translation (thanks, Andre Luis Lopes) (Closes: #116574)

 -- Branden Robinson <branden@debian.org>  Thu, 25 Oct 2001 08:09:08 -0500

xfree86 (4.1.0-8) unstable; urgency=medium

  * the "Bert is Evil" release
  * patch #000_stolen_from_HEAD_xterm: xterm patches #159, #160, #161
    includes "modify logic in main.c (see patch #145) to avoid generating the
    same identifier, for example, for /dev/tty1 and /dev/pts/1, which is used to
    denote an entry in the utmp file" (Closes: #84676)

  * patch #001: m68k can use -fPIC like everyone else (not -fpic)
  * patch #002:
    - use large fonts in xdm greeter for 1024-pixel-wide displays
      (thanks, Brendan O'Dea)
    - only display logo on 1024-pixel or wider displays
    - correct typo in widget translations (Closes: #115221)
  * patch #035: patch from Thorsten Kukuk to make leo driver report supported
    fbbpp correctly
  * patch #310: removed (see below)
  * patch #311,312: merged in some old ARM support patches thanks to Adam C.
    Powell IV
  * patch #350,400: resynced with ARM patches above

  * debian/control:
    - xserver-xfree86 Conflicts: libxfont-xtt, and
    - xlibs-dev Conflicts: libxfont-xtt-dev (Closes: #81993)
  * debian/local/README.Debian-upgrade: added paragraph about deprecation of
    Xmodmap usage by the default Xsession scripts
  * debian/local/Xsession: assign a default value of /tmp to $TMPDIR if it is
    unset and a value is needed (Closes: #115242)
  * debian/local/Xsession.d/99xfree86-common_start: don't quote $REALSTARTUP
    (Closes: #113878)
  * debian/local/Xsession.options: remove "allow-user-modmap" from default
    version of file since this option is no longer supported
  * debian/rules: set LC_ALL to C when generating MANIFEST files so that
    localization of the build environment doesn't generate false negatives in
    the MANIFEST check (thanks, Martin Albert) (Closes: #114729)
  * debian/{xbase-clients,xfree86-common}.preinst.in: only move unmodified
    xmodmap-related conffiles if upgrading from << 4.1.0-7
  * debian/xserver-common.templates.es: added Spanish translation (thanks,
    Carlos Valdivia Yagüe) (Closes: #114664)

 -- Branden Robinson <branden@debian.org>  Fri, 19 Oct 2001 09:43:38 -0500

xfree86 (4.1.0-7) unstable; urgency=high

  * patch #000_stolen_from_HEAD:
    + Paulo César Perira de Andrade: fix problem when calling
      XawTextSetSource()
    + SECURITY: don't let a non-root user halt the machine by having X send
      SIGUSR1 to init (Thomas Moestl).
    + SECURITY: set default value of authComplain resource in xdm to true.
      This closes a hole where anyone can connect to the X server if the xdm
      auth dir doesn't exist (Galen Hancock).

  * patch #000_stolen_from_HEAD_xterm: xterm patch #159

  * patch #007: more sensible redirection to stderr
  * patch #011: more Chinese localization updates, courtesy of Anthony Fok and
    ThizLinux Laboratory, Ltd.
  * patch #031: changes to xmessage's app-defaults from Paulo César Perira de
    Andrade
  * patch #032: add a ComplexCplusplusProgramTargetNoMan() Imake rule
  * patch #033: rename XF86Config manpage to XF86Config-4 (Closes: #92178)
  * patch #034: Paul Anderson and Pontus Lidman's fix for keyboard typematic
    setting on systems that have the I/O port but no PS/2 controller

  * debian/MANIFEST.{m68k,sparc}: fixed an error introduced in -6
  * debian/{MANIFEST.*,rules,xbase-clients.conffiles*,xbase-clients.files*}:
    stop shipping /etc/X11/Xmodmap (it's now an example file)
  * debian/{MANIFEST.*,xserver-common.files*}: ship XF86Config.7
  * debian/{MANIFEST.*,xserver-xfree86.files*}: ship XF86Config-4.5x
  * debian/README: updated to discuss "checksource"
  * debian/*.{preinst,postinst,prerm,postrm}.in: put package and script name
    into shell variables; a few other miscellaneous cleanups
  * debian/*.{links,undocumented}: debhelper doesn't know how to handle links
    for manpages from /usr/X11R6 to undocumented(7), so do it manually in the
    links files
  * debian/control:
    - downgrade libxaw6-dev's priority to extra
    - fix typo in xlibs's extended description (Closes: #113336)
    - xlib6g now conflicts with packages that are no longer supported in
      Debian and do not comply with the Debian app-defaults policy
    - xlibs Replaces: qcad (<< 1.4.6-1)
  * debian/local/FAQ: added question "I recently upgraded some packages, and
    now instead of readable text, some characters appear as little gray boxes.
    Why?"
  * debian/local/XF86Config.7: wrote new manpage that explains where to find
    various manpages for the 3.x servers and 4.x server
  * debian/local/Xsession:
    - use an internal version of run-parts in anticipation of having one in
      debianutils someday that doesn't care if the files are executable
    - send error messages to stderr
    - declare message(), message_nonl(), errmsg(), and internal_errmsg()
      functions, and use them
    - cleaned up up script style a bit (upcased shell variable names, etc.)
  * debian/local/Xsession.5: extensive rewrite; now describes current behavior
    of Xsession script, and how to write your own Xsession.d script to, say,
    merge in Xmodmap files (Closes: #103068,#112408)
  * debian/local/Xsession.d/*:
    - cleaned up up script style a bit (upcased shell variable names, etc.)
    - use run-parts --test instead of custom-crafted equivalent
    - use the message() and errmsg() functions
  * debian/local/Xsession.options.5: updated
  * debian/local/dexconf: write out FBDev Screen sections for 3.x servers
  * debian/rules: new rule "checksource", that makes sure the patches apply
    cleanly
  * debian/scripts/source.unpack: tell tar explicitly to read from stdin
    (thanks, Philippe Troin) (Closes: #112693)
  * debian/shell-lib.sh: updated to include the signal handler
  * debian/xbase-clients.examples: created; debian/local/Xmodmap now ships as
    an example file
  * debian/xbase-clients.{preinst,postinst,postrm}.in: if /etc/X11/Xmodmap has
    not been modified, move it out of the way (it is no longer a conffile)
  * debian/xdm.prerm.in: remove /etc/X11/default-display-manager if it exists
    and it refers to the display manager being removed (Closes: #113070)
  * debian/xfree86-common.{preinst,postinst,postrm}.in:
    - stop managing /usr/X11R6/lib/X11/rgb.txt manually; the packaging system
      is smart enough to handle it
    - if /etc/X11/Xsession.d/40xfree86-common_xmodmap has not been modified,
      move it out of the way (it is no longer a conffile)
  * debian/xlibs.{preinst,postinst,postrm}.in: when upgrading from < 4.0,
    just nuke the whole app-defaults directory in /usr
  * debian/xlibs.{links,postinst.in}: create the app-defaults symlink in the
    postinst so dpkg doesn't howl about file overlaps that don't exist in
    reality (because the xlibs preinst script gets things out of the way);
    in woody+1, this kludge can be reversed
  * debian/xserver-common.postrm.in: if purging package, delete
    /etc/X11/XF86Config
  * debian/xserver-xfree86.templates: removed specific mention of "<>" key
    from pc102/pc105 keyboard description (Closes: #112141)
  * debian/xterm.menu: fix uxterm's menu entry title (Closes: #112619)

 -- Branden Robinson <branden@debian.org>  Wed,  3 Oct 2001 20:58:54 -0500

xfree86 (4.1.0-6) unstable; urgency=medium

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + SECURITY: fix glyph clipping for large origin (Keith Packard).
      Reported to be remotely exploitable through konqueror or netscape
      by Georgi Guninski.
    (This is a fix for a denial-of-service attack permitting arbitrarily long
    URL's in some web browsers to crash the X server.)

  * patch #000_stolen_from_HEAD:
    + Keith Packard: Prevent TWM crash on missing window name.
      (Closes: #112048)
  * patch #000_stolen_from_HEAD_xterm: xterm patches #157 and #158
    (includes fix for ptyInitialErase) (Closes: #105579)

  * patch #027: fix for bad abnt2 keyboard keycode from Flavio Bello Fialho
    (Closes: #111932)
  * patch #028: chips driver fix from Jens Taprogge (Closes: #107248)
  * patch #029: fix for ATI Radeon + AMD Irongate chipset lockup issues
    (thanks, Aaron Lehmann) (Closes: #112265)
  * patch #030: ship some extension header files that weren't getting shipped
    (Closes: #25863)
    /usr/X11R6/include/X11/extensions/XLbx.h
    /usr/X11R6/include/X11/extensions/bigreqstr.h
    /usr/X11R6/include/X11/extensions/extutil.h
    /usr/X11R6/include/X11/extensions/mitmiscstr.h
    /usr/X11R6/include/X11/extensions/multibufst.h
    /usr/X11R6/include/X11/extensions/shapestr.h
    /usr/X11R6/include/X11/extensions/shmstr.h
    /usr/X11R6/include/X11/extensions/syncstr.h
    /usr/X11R6/include/X11/extensions/xcmiscstr.h
    /usr/X11R6/include/X11/extensions/xteststr.h
  * patch #907: the workaround for #105579 should now no longer be necessary;
    commented it out

  * debian/MANIFEST.*:
    - add etc/X11/app-defaults/UXTerm, usr/X11R6/bin/uxterm, and
      usr/X11R6/man/man1/uxterm.1x
    - add new extension header files resulting from patch #030
  * debian/control:
    - unversion xlibs-dev's replacement of libxfont-xtt-dev
    - unversion xserver-xfree86's replacement of libxfont-xtt (Closes: #81993)
    - xlibmesa-dev depends on xlibs-dev because GLX uses X headers
      (Closes: #105932)
  * debian/local/uxterm: shell script that invokes xterm with "-class UXTerm"
  * debian/local/uxterm.1x: simple manpage for uxterm script
  * debian/rules:
    - you can now set the IGNORE_MANIFEST_CHANGES environment variable to
      render a MANIFEST file discrepancy non-fatal
    - install "uxterm" shell script and manpage
  * debian/xdm.init: use && and multiple tests instead of test's -a operator,
    because we want a short circuit (thanks, Gordon Sadler) (Closes: #112348)
  * debian/xdm.postinst.in: invoke db_stop after doing debconf stuff, so
    debconf doesn't intercept stdout from xdm's init script and choke on it
    (thanks, Ryan Murray)
  * debian/xfree86-common.{preinst,postinst,postrm}.in: migrate existing
    /usr/X11R6/lib/X11/rgb.txt to /etc/X11/rgb.txt.xfree86-common-old, not
    /etc/X11/rgb.txt
  * debian/xlibmesa3.{config,templates}: tell people about libglide3 package
    and when they might need it (Closes: #80600)
  * debian/xlibs.links: ship /usr/X11R6/lib/X11/app-defaults as a symlink
  * debian/xlibs.{preinst,postinst,postrm}.in: migrate legacy app-defaults
    files to /etc/X11/app-defaults/$WHATEVER.xlibs-old
  * debian/xlibs.prerm.in: removed; no longer needed
  * debian/xserver-xfree86.postinst.in: warn if /etc/X11/X is not a symlink
    (Closes: #98493)
  * debian/xserver-xfree86.templates.sv: much-belated addition of Swedish
    translations (thanks, André Dahlqvist) (Closes: #83349)
  * debian/xterm.conffiles: add etc/X11/app-defaults/UXTerm
  * debian/xterm.files: add etc/X11/app-defaults/UXTerm, usr/X11R6/bin/uxterm,
    and usr/X11R6/man/man1/uxterm.1x
  * debian/xterm.menu: add entry for uxterm
  * debian/xterm.{postinst,prerm}: add and remove x-terminal-emulator
    alternative for uxterm

  * The above uxterm-related changes together fix a bug. (Closes: #108372)

 -- Branden Robinson <branden@debian.org>  Mon, 17 Sep 2001 06:35:42 -0500

xfree86 (4.1.0-5) unstable; urgency=high

  * High urgency upload because the version in testing is ancient, has
    non-free code in the source tarball, and this version is the first in
    quite some time that should build on all architectures in unstable without
    kludges.

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Fix DPMS support in i128 driver (Robin Cutshaw).

  * patch #000_stolen_from_HEAD:
    + Mark Vojkovich: Fix null pointer dereference in Xinerama extension when
      no Xv-enabled adapters are present. (thanks for the heads-up, Stephen
      Frost) (Closes: #107385)
    + Fix a VT switching crash in the cirrus driver when acceleration is
      disabled. (Closes: #109678)

  * patch #800: gnu.cf updates from Marcus Brinkmann
  * patch #801: new; build PCI bus code on the Hurd (Closes: #109845)

  * debian/control:
    + replaced Build-Dependency "kernel-headers-2.4 [!m68k]" with
      "kernel-headers-2.4 [!hurd-i386]"; m68k now has 2.4 headers, and of
      course the Hurd does not (Closes: #109814)
    + corrected typo in xspecs' extended description
    + x-window-system metapackage no longer depends on any -dbg or -dev
      packages, and now depends on xdm
  * debian/xserver-xfree86.examples.mips: ship example XF86Config.indy file
    (Closes: #109596)
  * debian/xserver-xfree86.files.mips{,el}: ship manpages for the following
    modules: mga glint nv s3virge sis savage trident chips tdfx fbdev ati
    (thanks, Guido Guenther) (Closes: #110871)
  * debian/xserver-xfree86.templates: give people no guidance at all in
    selecting mouse protocols because "anyone who writes a debconf question
    like that deserves a bug report. You're told not to do so in the debconf
    tutorial."
  * debian/MANIFEST.mips: updated (thanks, Ryan Murray) (Closes: #110896)

 -- Branden Robinson <branden@debian.org>  Wed,  5 Sep 2001 17:20:25 -0500

xfree86 (4.1.0-4) unstable; urgency=low

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Fix problem with xfs when talking with 3.3.6 servers. (Closes: #107406)
    + Support Trident ISA Cyber9320 chip (Alan Hourihane).

  * patch #025: create /dev/dri directory with more careful permissions
    (thanks, Brendan O'Dea) (Closes: #110475)

  * debian/MANIFEST.arm: updated (thanks, Adam C. Powell IV)
  * debian/local/xserver-wrapper.c: check mode of DRI device directory, if it
    exists, and warn if it is weird
  * debian/shell-lib.sh:
    - fix grievous typo in analyze_path (Closes: #110630)
    - also made script more helpful (thanks, Andrew Suffield)
  * debian/xserver-xfree86.config: add chips, glint, imstt, savage, tdfx, and
    trident to available driver list for ARM
  * debian/xserver-xfree86.files.arm: add imstt and tdfx drivers and manpages

 -- Branden Robinson <branden@debian.org>  Thu, 30 Aug 2001 16:03:00 -0500

xfree86 (4.1.0-3) unstable; urgency=low

  * patch #000_post-410: more fixes from xf-4_1-branch:
    + Improve "true Big5" and "Emacs Big5" support (#4792, Yong Li, #4798,
      Tomohiro KUBOTA).
    + Fix a non-standard character set bug in Xlib (#4792, Ivan Pascal).
    + Fix for the savage driver on 64-bit platforms (#4788, Jay Estabrook).
    + Xv fix for the r128 driver on big-endian architectures (#4781,
      Michel Dänzer).
    + Fix an Xlib bug that affects conversion from CTEXT to multibyte /
      wide character (#4780, Tomohiro KUBOTA, , #4783, Bruno Haible).
    + Release notes and Status doc fixes (#4778, 4779, Branden Robinson).
    + 64-bit fix for lib/X11/ImUtil.c (#4773, Mike Harris).
    + Fix dashed lines for the r128 driver on big-endian architectures
      (#4769, Michel Dänzer).
    + Fix Xlib's parsing of CTEXT with multi-byte characters in GR (#4761,
      Juliusz Chroboczek).
    + Fixes for the Romanian (ro) XKB map (#4746, Marius Andreiana).
    + Add a locale alias for "th_TH.TIS-620" (#4827, Theppitak
      Karoonboonyanan).
    + Accomodations for newer GCC's (#4803, Mike Harris).
    + Fix some typos in the iso8859-2 Compose file (#4799, Kamil Toman).
    + Don't reference the log file in the FatalError message if it hasn't
      been opened yet (#4793, Branden Robinson).

  * patch #002:
    - s/BIN/BINDIR/ for path to chooser (Closes: #108446)
    - use Debian logo pixmaps (Closes: #96112)
  * patch #011: updates to Chinese localization patch
    - added some renamings of "zh" to "zh_CN" in locale.dir for consistency
    - rename zh Compose file to zh_CN, and update compose.dir
  * patch #021: patch to make xman respect /etc/manpath.config, and fix bug in
    manpath concatenation (thanks, Colin Watson) (Closes: #108382)
  * patch #022: Egbert Eich's cirrus driver fixes
  * patch #023: new DFSG-free license for xc/utils/patch
  * patch #024: workaround module loader problem on ia64 (Closes: #109972)
  * patches #014,015,017,150,151: removed; now upstream
  * patch #152: backed out, betting that it causes bigtime breakage
    (Closes: #107349)
  * patch #907: add *ptyInitialErase: true and *ttyModes: erase ^? to XTerm
    app-defaults file (the latter can come out once a different bug is fixed
    upstream) (works around but does not close #105579)

  * debian/MANFIEST.hppa: updated (thanks, LaMont Jones) (Closes: #108185)
  * debian/MANIFEST.s390: updated (thanks, Gerhard Tonn)
  * debian/MANIFEST.*: updated to reflect addition of debian{,bw}.xpm and
    renaming of zh localization directory to zh_CN
  * debian/control:
    - cosmetic fixups to some extended descriptions (Closes: #109128)
    - xdm Provides x-display-manager (see Pax Displayicus Managerius below)
    - added versioning of (>> 0.5) to xterm's dependency on debconf, since
      we're now using "seen" instead of "isdefault"
    - xlibmesa3 depends on debconf
    - really added "x-window-system-core" and "x-window-system" metapackages
      for tasksel
  * debian/local/debian.xpm: Debian logo courtesy of Sean Perry
  * debian/local/debianbw.xpm: ugly monochrome version of Debian logo
    (Who needs an image editor when you've got vim?)
  * debian/local/dexconf:
    - run error messages through fold for pretty-printing
    - Better ways of using test(1), lesson #36642:
      BAD:  [ "$FOO" ]
      GOOD: [ -n "$FOO" ]
      BAD:  [ ! "$FOO" ]
      GOOD: [ -z "$FOO" ]
      (because what if $FOO is e.g., "-e")?
  * also applied above "lessons" to several maintainer scripts that needed
    them
  * cosmetic fix to several maintainer scripts; no need to add a space before
    closing quote on a continued-line argument to message(), since argument
    expansion will introduce a space anyway
  * debian/libxaw{6,7}-dbg.links: keep symlinks within debug library
  * debian/{rules,xfree86-common.docs}: stop shipping LICENSE; all this info
    is already in debian/copyright
  * debian/shell-lib.sh:
    - only use a perl script inside a shell function for "readlink" if the
      command does not exist, in which case complain about the lack of a
      modern debianutils (a required package) (Closes: #82362)
    - add an analyze_path() function (courtesy of Randolph Chung) that gets
      called when our symlink sanity checks fail in the postinst; this may
      help track down what causes these rare but puzzling bugs
    - a bunch of cosmetic and syntactical tweaks
  * debian/xdm.{conffiles,files}: ship debian.xpm and debianbw.xpm, and mark
    them as conffiles
  * debian/xdm.undocumented: identify chooser manpage as nonexistent
  * debian/xdm.{config,init,postinst.in,prerm.in,templates}: implement Pax
    Displayicus Managerius; in brief...
    - implement a debconf shared template, shared/default-x-display-manager
    - init script only starts the display manager daemon if it is the selected
      default display manager
    - in conjunction with the other display managers doing the same thing,
      (Closes: #64967)
  * debian/xlibmesa3.config: uncomment version check code since we finally
    have an official Linux kernel with the new DRM modules
  * debian/xlibmesa3.postinst.in: source the debconf confmodule
  * debian/xlibmesa3.templates: tweak wording in template since the Linux
    kernel guys seem to be balky about including new direct rendering modules
  * debian/xlibmesa3-dbg.links: the symbolic linking was pretty confused;
    fixed it (Closes: #107736)
  * debian/xlibmesa-dev.links: correct global replacement run amok that put
    the .so symlinks in the wrong directory (Closes: #107645)
  * debian/xlibosmesa-dev.links: same fix as to xlibmesa-dev.links
    (Closes: #108024)
  * debian/xlibosmesa3-dbg.links: same fix as to xlibmesa3-dbg.links
  * debian/xlibs.preinst.in: this solitary script escaped the massive
    maintainer script overhaul of 4.0.3-1; how?  The world may never know.
    Overhauled it.
  * debian/xlibs.files*: s@zh/Compose@zh_CN/Compose@
  * debian/xserver-xfree86.config: change isdefault flags to seen and reverse
    sense of tests and sets
  * debian/xserver-xfree86.templates.de:
    - spelling and grammatical corrections courtesy of Erich Schubert and
      Michael Piefel (Closes: #99349)
    - no need to translate default of a select or multiselect template
  * debian/xterm.config: s/isdefault true/seen false/
  * debian/xterm.postinst: source the debconf confmodule
  * debian/xterm.templates.pt_BR: added Brazilian Portuguese translation
    (thanks, Andre Luis Lopes) (Closes: #108545)

 -- Branden Robinson <branden@debian.org>  Mon, 27 Aug 2001 16:09:49 -0500

xfree86 (4.1.0-2) unstable; urgency=low

  * debian/*.alpha updated (thanks, Chris Chimelis)
  * MANIFEST updated for hppa (thanks, LaMont Jones)
  * MANIFEST updated for mips (Closes: #107338) and mipsel (Closes: #107340)
    architectures (thanks, Ryan Murray)
  * updated MANIFEST.* (except arm) to include new transcoded versions of
    luBIS19 font
  * patch #000_post-410: more fixes from xf-4_1-branch:
    + upstream has committed the xfs DoS fix to this branch
  * patch #000_stolen_from_HEAD: more fixes from the main CVS trunk
    + Alan Hourihane: Fix horizontal stripe problem in Permedia3 driver.
  * patch #000_xfs_SECURITY_DoS_fix: deleted (see above)
  * patch #001: don't #define HasLinuxInput if we're on an m68k box
    (this, as well as the Build-Dep exclusion below, can go away once m68k has
    a 2.4 kernel)
  * patch #002: #ifdef LinuxDebian, set DEFAULTVT to vt7, so that we actually
    specify a default vt in /etc/X11/xdm/Xservers
  * patch #020: fix for PCF writing problem (thanks, Mike A. Harris)
    (Closes: #81056)
  * patch #100: one-line update to PCI domain patch
  * patch #400: HPPA fixes from LaMont Jones
  * updated debian/*.s390 (thanks, Gerhard Tonn)
  * debian/*.templates.de: much-needed updates to German translations (thanks,
    Philipp Matthias Hahn) (Closes: #107063,#107064,#107065,#107066,#107067)
  * debian/{xserver-xfree86,xterm}.templates.fr: updated French translations
    (thanks, Jérôme Schell)
  * debian/control:
    - added "x-window-system-core" and "x-window-system" metapackages for
      tasksel
    - make the *-transcoded font packages' short descriptions distinct from
      their non-transcoded brethren
    - the *-transcoded packages Replace their non-transcoded counterparts (<<
      4.1.0), and the old (pre-potato) names of those packages
      (Closes: #107279)
    - the *-transcoded packages also Conflict with
      xfonts-biznet-iso-8859-2-{100dpi,75dpi,base} (<< 3.0.0-10), because they
      violate Debian Policy 12.8.5.14 ("Font packages must not provide alias
      names for the fonts they include which collide with alias names already
      in use by fonts already packaged."). (Closes: #107490)
    - removed the language about xfonts-base-transcoded being required for the
      "fixed" font (erroneous paste from the xfonts-base description)
    - added "kernel-headers-2.4.7 | kernel-headers-2.4 [!m68k]" to
      Build-Depends
    - bumped Standards-Version to 3.5.6
  * debian/copyright: added SGI FREE SOFTWARE LICENSE B (Version 1.1
    [02/22/2000]) to license list (Closes: #107149)
  * debian/local/dexconf:
    - minor fixup in the format of an error message
    - it is acceptable for the value of use_fbdev to be undefined
      (Closes: #107390)
  * debian/shell-lib.sh:
    - add -s argument to fold so that it doesn't break lines in the middle of
      words
    - new function, internal_errormsg(), for problems that are the package's
      fault rather than the sysadmin's
    - check_symlinks_and_bomb() uses internal_errormsg() now, not errormsg()
  * debian/xdm.*: laid commented-out groundwork for the Pax Displayicus
    Managerius (Message-ID: <20010803034044.A11521@deadbeast.net>)
  * debian/xfonts-{75,100}dpi{,-transcoded}.files: ship previously ungenerated
    ISO-8859 versions of luBIS font

 -- Branden Robinson <branden@debian.org>  Fri,  3 Aug 2001 02:08:05 -0500

xfree86 (4.1.0-1) unstable; urgency=medium

  * new upstream version (Closes: #68843,#79939,#85954,#97765,#99406)
  * Thanks to those who have been patient while I prepared these packages, and
    those who have already tested them.

  * patch #000_post-410: some fixes from xf-4_1-branch:
    + Add two missing symbols to loader reference for the glint driver
      (#4740, Mike Harris).
    + Fix glide driver that causes -configure to fail for all drivers
      (Alan Hourihane).
    + Fix broken TGA driver (Alan Hourihane).
    + Fix FIFO reset trouble in tdfx driver by lowering the FIFO size due to
      suspect code in Glide3. (Alan Hourihane).
    + Fix Xvideo in tdfx driver when using YUY2 or UYVY data (Alan Hourihane).
    + Fix problem in Ib/Xaw/AsciiSrc.c:nitStringOrFile() when descriptor 0
      is closed, as a zero return value from open(2) is taken as an error
      (splite at purdue.edu).
    + Add missing vbeFree symbol to mga driver (Alan Hourihane).
    + Fix fatal bug in XAA's N-to-N CopyPlane acceleration (#4782, Elliot
      Lee).
    + Fix 3Dfx Voodoo Banshee timing problem (Alan Hourihane).
    + Fix Radeon VE support (Alan Hourihane).
    + Fix int10 build for GCC 3.0 (Marc La France).
    + An attempt at fixing the i740 driver to not reference options
      before they are collected (Marc La France).

  * patch #000_stolen_from_HEAD: some fixes from the main CVS trunk
    + Alan Hourihane: fix typo in Bitmap.h (#4757)
    + Mark Vojkovich: The tdfx driver wasn't setting pScrn->fbOffset.  This
      seems to have been preventing the V4L module from working properly.
    + Marc Aurele La France: Fix bogus handling of BUS_CNTL Mach64 register
    + Mark Vojkovich: Have fb observe the pGC->fExpose flag.
    + Paulo Cesar Pereira de Andrade: The fbdev driver uses the same DGA
      initialization code as the vesa driver, this fix the bug the same way
      done in the vesa driver.
    + Matthieu Herrb: shared libXft minor revision number increment
    + Mark Vojkovich: Fix bug in ProcDbeGetVisualInfo reported by HP.

  * patch #000_xfs_SECURITY_DoS_fix: Paulo César Pereira de Andrade's fix for
    denial-of-service vulnerabilities in xfs; in Debian, this vulnerability
    was a local DoS only, because in our default configuration, xfs does not
    listen on a TCP port

  * patch #004: do not use the xserverrc if a display argument is given
    (really Closes: #99481)
  * patch #016:
    - update several InstallManPageAliases rules to install actual versions of
      manpages that are mentioned (Closes: #99598)
    - update mkfontdir manpage to not mention fonts.dir, fonts.scale,
      fonts.alias, and encodings.dir in the NAME section because
      InstallManPageAliases cannot install aliases from one manual section to
      another (Closes: #99599)
  * patch #017: small patch to not have server abort message mention server
    logfile if the logfile was never opened
  * patch #019: fix broken Imakefile for VBE server module that treated it
    like a library
  * patch #100: David S. Miller's PCI domain patch for SPARC (Closes: #99737)
  * patch #150: Michel Dänzer's Rage128 video endianness fix
  * patch #151: Michel Dänzer's Rage128 accelerated dashed bresenham
    endianness fix
  * patch #152: David Gibson's Rage128 fix for video mode saving and restoring
    when there is no video BIOS (such as on a PowerPC...)
  * patch #200: Brian Paul's GLX memory alignment fix for Alpha
  * patch #303: updates to arm, hppa, and s390 PCI support
  * patch #350,351: mips and mipsel support fixes from Guido Guenther
  * patch #907: use colors from rgb.txt instead of the rgbi colorspace in an
    effort to fix things for people who use absurdly shallow color depths.  If
    this doesn't work, edit the app-defaults conffile like a Real Man.
    (Closes: #96496,#105624)

  * updated MANIFEST.{i386,ia64,m68k,powerpc,sparc}
  * debian/*.{pre,post}{inst,rm}.in:
    - found and cleaned up some stylistic cruft from the massive maintainer
      script overhaul
    - use message_nonl() instead of echo -n
    - consolidate message() + errormsg() into plain errormsg()
  * debian/*.suid: removed due to deprecation of dh_suidregister
  * debian/*.templates.{pt_BR,ja}: added trailing spaces after the colons for
    blank fields; for some reason debconf freaks if there is no trailing space
  * debian/{*.shlibs,shlibs.local}: bumped versioning to >> 4.1.0, and added
    libXmuu to xlibs.shlibs
  * debian/README: added warning not to build official architecture: all
    packages on alpha or ia64 (xfonts-pex can't be built on those arches, so a
    package would be missing)
  * debian/control:
    - upstream has dug xmh out of grave; restored to hideous unlife
    - added ia64 to architecture list for libosmesa{3,-dbg,-dev}
    - add references to dpsexec, dpsinfo, glxgears, texteroids, and xftcache
      utilities in xbase-clients's description
    - remove reference to SuperProbe in xutils's description
    - add references to bdftruncate.pl, ccmakedep, cleanlinks, and ucs2any.pl
      in xutils's description
    - fsinfo renamed to xfsinfo, xutils's description updated accordingly
    - xlibosmesa{3,3-dbg,-dev}: now available for powerpc architecture
    - xfonts-base Conflicts/Replaces/Provides xfonts-cjk
    - added versioning to Build-Depends on libglide-{2,3}-dev, since the
      compile will error out if the version of glide is too old
    - added xfonts-{100dpi,75dpi,base}-transcoded: Because XFree86 4.1.0 ships
      many fonts encoded in ISO 10646-1, these packages contain various ISO
      8859 (other than Latin-1) -encoded versions of the fonts in
      xfonts-{100dpi,75dpi,base}, which contain ISO 10646-1 and ISO 8859-1
      versions.  Additionally, xfonts-base-transcoded contains several KOI8-R
      versions of some of the fonts in xfonts-base.  Fonts in other encodings
      without an ISO 10646-encoded version remain in the non-"-transcoded"
      version of the package.  In sum, no fonts have been removed from the
      existing xfonts-{100dpi,75dpi,base} packages; ISO 10646 versions have
      been added to them; and people seeking other encodings are encouraged to
      install the xfonts-{100dpi,75dpi,base}-transcoded packages.
    - added "libxaw6-dev |" before xlib6g-dev's dependency on libxaw-dev
      (Closes: #103885)
    - xserver-common and xterm now Conflict: suidmanager (<< 0.50) per the
      dh_suidregister manpage
  * debian/copyright: updated
  * debian/local/FAQ:
    - added questions:
      + What are app-defaults?
      + What is the difference between "bits-per-pixel" and "color depth"?
      + Why does the "single-quote" (') symbol in the fonts not look the way
        it used to?
      + How do I use Xnest, the nested X server?
    - updated questions:
      + What is the X Window System?
      + How do I change the color depth of my X server?
      + Why doesn't my backspace, delete, or some other key work?
      + How do I change xterm's default terminal type or key bindings?
  * debian/local/Xsession.d/40xfree86-common_xmodmap: removed (Closes: #28408)
  * debian/local/dexconf:
    - a couple of cosmetic and stylistic changes
    - write out UseFBDev option as determined by debconf template
    - write out XkbRules and XkbModel as determined by debconf template
      (thanks to Peter Haworth for coming up with the winning combination for
      Sun keyboards)
    - fix thinko in error message construction when desired debconf variable
      not found (thanks, Eric Gillespie, Jr.)
  * debian/local/startx{,.1x}: deleted; go back to patching upstream versions
  * debian/local/xdm/Xsetup:
    - fix typo (thanks, Sebastian Klamar) (Closes: #98423)
    - do not run xmodmap anymore (Closes: #65115)
  * debian/local/xserver-wrapper.c: allow unprivileged execution of X server
    with "-version" argument
  * debian/patches/*: almost completely overhauled.  Many of our changes are
    now upstream.  Things to note:
    + Numbering scheme has changed.  See debian/README.
    + Some architecture-specific patches had to be moved to held-patches
      because of large changes upstream.
  * debian/rules: stop shipping separate startx and manpage
  * debian/shell-lib.sh:
    - new function, message_nonl() which is the moral equivalent of "echo -n"
    - errormsg() now accepts an error message as an argument
    - ensure there are semicolons at the end of all shell functions
    - use fold instead of fmt
  * debian/xbase-clients.files:
    - add dpsexec, dpsinfo, glxgears, texteroids, xftcache, and their manpages
    - ship Options file for xf86cfg
  * debian/xbase-clients.templates.es: add Spanish translation (thanks, David
    Martinez) (Closes: #104535)
  * debian/{xdm,xfs}.init: If we upgraded the daemon, we can't use the
    --exec argument to start-stop-daemon since the inode will have changed.
    The risk here is that in a situation where the daemon died, its pidfile
    was not cleaned up, and some other process is now running under that pid,
    start-stop-daemon will send signals to an innocent process.  However, this
    seems like a corner case.  C'est la vie!
  * debian/xdm.pre{inst,rm}.in: when getting rid of obsolete old greeter
    library alternative, also remove broken .so -> .so.1 symlink that ldconfig
    leaves around
  * debian/xfonts-{100dpi,75dpi,base}.files: these packages now contain only
    ISO 10646-1-encoded fonts, ISO 8859-1 versions generated from them, and
    fonts that do not yet exist in an ISO 10646-1-encoded version.  Many
    bitmapped versions of the non-DFSG-free Adbobe Utopia Type1 font are now
    present in 100dpi and 75dpi versions, at several sizes.  (Bitmapped fonts
    are not subject to copyright as hinted fonts such as Type1 or TrueType
    are.)
  * debian/xfonts-{100dpi,75dpi,base}-transcoded.{files,post{inst,rm}.in}: new
    packages; see above
  * debian/xfonts-scalable.post{inst,rm}.in: add "xftcache" to list of
    commands to be run when updating font directory
  * debian/xfree86-common.{conffiles,files}: no longer shipping
    40xfree86-common_xmodmap
  * debian/xfree86-common.docs:
    - add README.dps document
    - add X.Org manpage
  * debian/xfs.templates.de: add German translation (thanks, Sebastian Feltel)
    (Closes: #100569)
  * debian/xlibs.{conffiles,files}:
    - modified for added and removed XKB data files:
      + cs, cs_qwerty, and czsk (Czechoslovakian) symbol files removed
      + cz, cz_qwerty, sk, and sk_qwerty (Czech Republic, Slovakia) symbol
        files added
      + by (Belarus) symbol file added
      + gr (Greek) symbol file renamed to el
      + hr (Bosnia-Herzegovina) symbol file added
      + lv (Latvia) symbol file added
      + "extra" types file added
    - ship two new bitmaps, black6 and box6
    - th_TH and zh_* localization files reorganized and renamed a little
      (see /usr/X11R6/lib/X11/locale for details)
    - libXft's minor version number has incremented
    - new library; libXmuu, a minimal X utility library that depends only on
      libc (shared version)
  * debian/xlibs.files.{alpha,ia64}: these architectures don't mess with PEX
  * debian/xlibs.links: update soname symlinks to reflect libXft's new
    minor version
  * debian/xlibs-dbg.debugfiles.{alpha,ia64}: these architectures don't mess
    with PEX
  * debian/xlibs-dbg.links: supply soname symlinks for libXft and libXrender
    (Closes: #101054)
  * debian/xlibs-dev.files:
    - ship headers for XvMC extension (experimental work-in-progess)
    - ship new file version.def
    - new library; libXmuu, a minimal X utility library that depends only on
      libc (static version)
    - new manpages:
      + XF86VidModeValidateModeLine.3x
      + XeviQueryExtension.3x
      + XtIsSessionShell.3x
      + XtVaGetSubvalues.3x
      + XtVaSetSubvalues.3x
  * debian/xlibs-dev.files.{alpha,ia64}: these architectures don't mess with
    PEX
  * debian/xlibmesa{3,-dev}.{files*,links}:
    - upstream puts the GL and GLU libraries in /usr/X11R6/lib and my patch to
      fix it doesn't work anymore; work around the problem with symlinks from
      /usr/lib/libGL* and /usr/include/GL into /usr/X11R6/lib and
      /usr/X11R6/include
    - Since the presence of DRI modules is highly architecture-specific, I
      moved xlibmesa3.files to xlibmesa3.files.i386, and made xlibmesa3.files
      the plain-jane no-DRI version which is appropriate for a majority of the
      architectures.
  * debian/xlibmesa3.{config,templates}: added question warning about skew
    between Mesa/XFree86's version of DRI, and the kernel's
  * debian/xlibmesa3.templates.es: added Spanish translation (thanks, David
    Martinez) (Closes: #104033)
  * debian/xlibmesa3.templates.fr: added French translation (thanks, Jérôme
    Schell)
  * debian/xlibmesa3.files.i386: add radeon DRI module
  * debian/xlibmesa3.files.powerpc: add DRI modules for gamma, mga, r128, and
    radeon
  * debian/xmh.{conffiles,files,menu}: xmh lives again...
  * debian/xserver-common.templates.fr: updated French translation (thanks,
    Jérôme Schell)
  * debian/xterm.templates.es: Spanish translation update (thanks, Carlos
    Valdivia Yagüe) (Closes: #102994)
  * debian/xutils.files*:
    - remove SuperProbe and its manpage
    - add ccmakedep and cleanlinks
    - renamed fsinfo to xfsinfo
  * debian/xutils.undocumented:
    - no manpages for ccmakedep and cleanlinks, sorry
  * debian/xserver-{common,xfree86}.templates.ja: added Japanese translations
    (thanks, ISHIKAWA Mutsumi, Kenshi Muto, NAKANO Takeo, and Debian JP
    Documentation team) (Closes: #100610,#100613)
  * debian/xserver-xfree86.config:
    - more paranoid checks for bad output from discover
    - if the vga driver is selected, set default mode list to only
      640x480, and set default depth to 4 (only affects these questions if
      they are not seen)
    - use "fold" instead of "fmt"
    - add driver list for ia64, mips, and mipsel architectures
    - issue non-fatal error message if architecture is unknown
    - add vmware to i386 driver list
    - add imstt, savage, and tdfx to m68k/powerpc driver list
    - add ati to sparc driver list
    - add /dev/sunmouse to non-devfs mouse port listing; use BusMouse protocol
      if it is selected
    - ask question about keyboard model
  * debian/xserver-xfree86.template:
    - new question: use FBDev; only asked if /proc/fb exists
    - new question: keyboard model; this is merely the tiniest of beginnings
      to real XKB configuration, but it should be enough to get some people
      over the hump
  * debian/xserver-xfree86.docs.*:
    - add README.rapidaccess document
  * debian/xserver-xfree86.files.*:
    - add 2 new encoding conversion modules: libBIG5HKSCS.a and libGBK.a
    - add vmware driver and its manpage to i386 and ia64 packages
    - add imstt, tdfx, libdri, and libdrm modules (and manpages) to powerpc
      package
  * debian/xserver-xfree86.templates.gl: cleaned up some between-template
    whitespace that an old version of debconf shouldn't have cared about, but
    did
  * debian/xspecs.docs:
    - the documents have reverted to their upstream names since upstream
      rejected my patch to rename them
    - a few more docs build now, so ship them:
      + analysis.ps
      + dbe.ps
      + dbelib.ps
      + secint.ps
      + security.ps
      + sync.ps
      + synclib.ps
  * debian/xterm.README.Debian: stop talking about xterm's X resources file,
    since it no longer exists (Closes: #98609)

 -- Branden Robinson <branden@debian.org>  Sat, 28 Jul 2001 00:37:19 -0500

xfree86 (4.0.3-4) unstable; urgency=low

  * grabbed more fixes from the 4.0.x CVS branch:
    +  Fix xmh's use of XtNewString() with getenv (#4694, Tim Waugh).
    +  Xdm/PAM fixes: leave it to PAM to observe whether or not an account
       is locked, and reinitialize credentials after calling initgroups(),
       because sometimes the credentials pam_setcred() gives are in the form
       of group membership (#4693, Mike Harris).
    +  Fix bsdLib.rules and bsdLib.tmpl problems that show up when
       X11ProjectRoot is defined (#4676, Johnny C. Lam).
    +  R128 drm fix (#4668, Gareth Hughes).
    +  Fix Romanian XKB map (#4664, Mike Harris).
    +  Spell Portuguese correctly in XKB lst files (#4663, Mike Harris).
  * updated Hurd patch from Marcus Brinkmann (Closes: #97077)
  * thanks to Jacobo Tarrio for the Galician debconf template translations
  * thanks to Marcin Owsiany for the Polish debconf template translations
  * thanks to Kenshi Muto, NAKANO Takeo, ISHIKAWA Mutsumi, and the Debian JP
    Documentation team for the Japanese debconf template translations
  * updated GLU-building patch to observe the Hurd
  * updated MANIFEST.{hurd-i386,mips,mipsel,s390}
  * patch #002: get rid of LINUX symbol relic and observe the Hurd
  * patch #010: observe the Hurd
  * patch #012: observe the Hurd
  * patch #037: append "-cyrillic" to alias names of fonts in xfonts-cyrillic
    package (Closes: #96929)
  * patch #702: fix invalid syntax, and sync up with linux.cf
  * split debconf template translations into localized files using
    debconf-getlang
  * MANIFEST.m68k: fix trailing whitespace crap caused by screen's stupidity
  * debian/control:
    - Build-Depend on html2text instead of lynx
    - add hurd-i386 to server package Architectures
  * debian/copyright: updated upstream copyright info from
    xc/programs/Xserver/hw/xfree86/doc/LICENSE; omitted Lucidux font license
    since we don't ship this non-free font (Closes: #93443)
  * debian/local/dexlet/main.py: handle case where user provides only
    single-word identifier for video card or monitor and is using a 3.x server
    (addresses Progeny pr/1576)
  * debian/local/startx: don't bother trying to match screen numbers in a
    display argument
  * debian/local/update-fonts-{alias,dir,scale}: remove
    fonts.{alias,dir,scale} and encodings.dir files from font directories
    if there are no fonts left in a font directory, and then remove empty
    font directories to avoid system cruft (Closes: #94752)
  * debian/local/xserverrc: remove "$*" from script; pointless since the
    script is never called with any arguments
  * debian/rules: switch from lynx to html2text
  * debian/xbase-clients.templates.{gl,pl,ja}:
    - added Galician translation
    - added Polish translation (Closes: #96939)
    - added Japanese translation (Closes: #97014)
  * debian/xdm.templates.{gl,pl,ja}:
    - added Galician translation
    - added Polish translation (Closes: #96942)
    - added Japanese translation (Closes: #97015)
  * debian/xfs.templates.{gl,pl,ja}:
    - added Galician translation
    - added Polish translation (Closes: #96943)
    - added Japanese translation (Closes: #97016)
  * debian/xfonts-*.postrm.in: do not attempt to remove files; leave that to
    the update-fonts-* scripts
  * debian/xserver-common.templates.gl: added Galician translation
  * debian/xserver-xfree86.docs.hurd-i386: updated to remove DRI docs since
    the Hurd has no DRI
  * debian/xserver-xfree86.files.hurd-i386: updated to remove files that do
    not get built on the Hurd
  * debian/xserver-xfree86.templates.gl: added Galician translation
  * debian/xterm.templates.{gl,pl,ja}:
    - added Galician translation
    - added Polish translation (Closes: #96945)
    - added Japanese translation (Closes: #97017)
  * debian/xterm.{config,templates}: yell and scream if the box doesn't have
    Unix98 pty's (Closes: #97613)

 -- Branden Robinson <branden@debian.org>  Tue, 29 May 2001 23:25:05 +0000

xfree86 (4.0.3-3) unstable; urgency=medium

  * grab some more post-4.0.3 fixes from 4.0 CVS branch
  * patch #011: removed in favor of David Dawes's upstream fix
  * patch #015: removed; applied upstream
  * patch #020: removed; applied upstream
  * patch #025: removed; applied upstream
  * patch #030: removed; applied upstream
  * Moral of the story?  If you want your patch to XFree86 applied upstream,
    and verbatim, pay me to make its patch number a multiple of 5 ;-)
  * debian/xbase-clients.templates:
    - added French translation (thanks, Patrice Karatchentzeff)
  * debian/xdm.templates:
    - added French translation (thanks, Patrice Karatchentzeff)
  * debian/xterm.templates:
    - added French translation (thanks, Patrice Karatchentzeff)
  * debian/xlibs-dev.files*: re-add XftFreetype.h so the file is actually
    shipped, damnit (Closes: #96069)

 -- Branden Robinson <branden@debian.org>  Tue,  8 May 2001 16:19:45 +0000

xfree86 (4.0.3-2) unstable; urgency=low

  * mipsel architecture support care of Guido Guenther and Florian Lohoff (was
    against 4.0.2-13; will require some tweaking)
  * MANIFEST.{arm,m68k}: update for shared libXft and libXrender (shame on me)
    (thanks, Phil Blundell and Roman Hodek) (Closes: #96116)
  * patch #005: add #define for Freetype2Dir so anti-aliasing stuff actually
    gets built correctly (not sure why Xft gets built at all if the build
    thinks freetype is unavailable) (incidentally, this resurrects
    XftFreetype.h)
  * patch #107: really implement color legibility fix (Closes: #95959)
  * patch #703: define MipselArchitecture as little-endian
  * patch #704: do not build real-mode x86 emulation for mipsel
  * debian/changelog.Debian.old: contains all pre-XFree86 4.0 package
    changelog entries
  * debian/control:
    - add "ia64" and "mipsel" to relevant Architecture: lines
    - make the new -dbg packages Section: devel and Priority: extra
  * debian/local/README.Debian-upgrade: updated with changes from 4.0.3
    packages
  * debian/xbase-clients.menu: fix missing backslash in a menu hint
    (Closes: #95887)
  * debian/xdm.templates:
    - updated Spanish translation (thanks, Carlos Valdivia Yagüe)
      (Closes: #96119)
  * debian/xfree86-common.docs: add changelog.Debian.old
  * debian/xfs.templates:
    - updated Spanish translation (thanks, Carlos Valdivia Yagüe)
      (Closes: #96090)
  * debian/xserver-common.templates:
    - added Brazilian Portuguese translations (thanks, Gustavo Noronha Silva
      and Henrique de Moraes Holschuh) (Closes: #96240)
  * debian/xserver-xfree86.templates:
    - added Brazilian Portuguese tranlsations (thanks, Gustavo Noronha Silva
      and Henrique de Moraes Holschuh) (Closes: #96238)

 -- Branden Robinson <branden@debian.org>  Sat,  5 May 2001 06:37:42 +0000

xfree86 (4.0.3-1) unstable; urgency=low

  * new upstream version (including some post-4.0.3 fixes)
    (Closes: #58530,#76404,#79482,#86651,#87504,#94511,#95278)
  * hppa architecture support care of Grant Grundler and Bdale Garbee
    (added patch #800, modified patch #005)
  * updated all MANIFEST files
  * ship shared versions of libXft and libXrender
  * patches #000,002,005,009,011,013,015: resynced with upstream
  * patch #002: remove specification of randomFile (Closes: #74520,#76214)
  * patch #005,702: stop forcing SharedLibXft and SharedLibXrender to NO
  * patch #005:
    - substantial re-ordering and rechecking of all the Debian-specific
      #defines
    - set BuildFreetype2Library to NO (XFree86 should build against the
      libfreetype6-dev package)
    - stop shipping the shared libXdmGreet library
  * patch #007: modified to be aware of 32bpp DRI on Voodoo4/5 cards
  * patch #008: removed; applied upstream
  * patch #033: added info for ISO-8859-15-using German locales (thanks,
    Philipp Matthias Hahn) (Closes: #92511)
  * patch #034: fix bugs in xlsfont's notions of various font property types
    (thanks, Jochen Voss) (Closes: #90000)
  * patch #035: fix from Mark Vojkovich to prevent segfaults in XAA
  * patch #036: document all the XAA options in the XF86Config manpage
  * patch #100: moved to held-patches since I hand-hacked all the non-free
    stuff out of the Type1 font directory before generating the orig tarball
  * patch #107: 3 changes to help color legibility in xterm
    (REMEMBER, /etc/X11/app-defaults/XTerm-color is a CONFFILE, you can CHANGE
    IT)
    - set color4 (blue) to rgbi:0.1/0.1/1.0
    - set color8 (dark gray) to gray50
    - set color12 (bright blue) to rgbi:0.2/0.2/1.0
  * patch #109: resynced against changes in #005
  * patch #401: driver support patches for Alpha from Jay Estabrook (except
    for his change to lnx_video.c, which collided with existing patches in
    #400, and may be found in held-patches)
  * patch #501: moved to held-patches since the xf86sym.c file has changed a
    great deal and it is not immediately obvious to me what should be done for
    m68k.  Christian Steigies, please take a look at this.
  * patch #600: removed the patch to xf86sym.c; it looks like this has
    been applied upstream (Phil Blundell, you may want to confirm this)
  * patches #700,701: removed; applied upstream
  * massive overhaul of all maintainer scripts
    - more canonical shell constructs in some places
    - complete audit of actions taken when the maintainer scripts are called
      with various arguments (see chapter 6 of the Debian Policy Manual)
      (Closes: #36453)
    - greatly reduce amounts of duplicate code by using a placeholder for
      my "shell library"
    - removed a few bits of logic that were present just to handle broken
      upgrade scenarios between various pre-slink and pre-potato versions of
      the XFree86 packages (this faciliated the removal of some maintainer
      scripts entirely)
    - all user visible output goes to stderr
    - renamed all maintainer scripts to add the ".in" suffix
  * debian/*.{dirs,files,links}: get all non-plain-files out of .files
  * debian/*.shlibs: update all shlibs files (except xlibmesa3) to include
    versioning on (>> 4.0.3), and add libXft and libXrender to xlibs.shlibs
  * debian/control:
    - update xlibs and xlibs-dev package descriptions to note the change with
      respect to libXft and libXrender
    - xfonts-base Conflicts/Replaces xfntbig (Closes: #94444)
    - update URL in xserver-xfree86 package description (Closes: #89615)
    - remove g++ from Build-Depends, since it's build-essential
    - get rid of libxaw-dev as a real package; create libxaw6-dev and
      libxaw7-dev instead (Closes: #80207)
    - introduce -dbg versions of all shared library packages
    - update font package dependencies (except for xfonts-pex) to
      xutils (>> 4.0.3) (Closes: #95482)
  * debian/copyright: updated for new upstream version
  * debian/local/dexconf: added some missing \n's to a printf or two
    (thanks, Chris Cheney)
  * debian/local/xdm/Xsetup: correct misspelled variable name (Closes: #94956)
  * debian/local/xserver-wrapper.c: correct format/arg mismatch in an error
    message
  * debian/rules:
    - the build rule now bombs if the patches didn't apply cleanly
    - updated "build" and "build-server" rules to generate actual maintainer
      scripts using the *.in files and shell-lib.sh
    - update all binary rules to use my own for/cp based shell construct
      instead of dh_movefiles; this has a few benefits:
      + no need to rerun the install rule with FORCE=1 just to regenerate the
        packages; this greatly speeds up the debug cycle for changes that
        don't involve the upstream sources -- now you just run the binary rule
        again
      + using cp is far faster than tar'ing and rm'ing
      + using cp permits the same file to be shipped in multiple packages
        easily
    - added some logic before dh_link (which is not idempotent) to make the
      binary rules idempotent
  * debian/shell-lib.sh: "library" of shell functions that get used a lot in
    the packages' maintainer scripts
  * debian/shlibs.local: re-generated from *.shlibs
  * debian/xbase-clients.menu:
    - adopted most of Arthur Korn's suggestions for menu entry revisions
      (Closes: #82328)
    - adopted Bob Hilliard's suggestion that the digital xclock menu entry
      should pass "-update 1" to the client (Closes: #77067)
  * debian/xbase-clients.templates:
    - clean up German translation (thanks, Sebastian Rittau) (Closes: #94069)
  * debian/xdm.{files,links}: no more libXdmGreet library
  * debian/xdm.preinst.in: remove the alternative for the libXdmGreet library
  * debian/xfree86-common.docs: ship new "Versions" document
  * debian/xfs.templates:
    - added French translation (thanks, Thomas Morin) (Closes: #86566)
    - added Spanish translation (thanks, Carlos Valdivia Yagüe)
      (Closes: #92401)
    - added Swedish translation (thanks, André Dahlqvist) (Closes: #83476)
  * debian/xserver-xfree86.config: correct misspelled debconf template name
    (Closes: #94299)
  * debian/xserver-xfree86.templates:
    - added French translation (thanks, Thomas Morin) (Closes: #84751)
    - added German translation (thanks, Erich Schubert) (Closes: #83776)
  * debian/xserver-common.templates:
    - added French translation (thanks, Thomas Morin) (Closes: #83972)
  * debian/xterm.templates:
    - added German translation (thanks, Knut Suebert) (Closes: #93571)
    - added Spanish translation (thanks, Carlos Valdivia Yagüe)
      (Closes: #92403)
  * debian/xterm/postinst.in: swap order of update-alternatives calls
    (thanks, Arthur Korn) (Closes: #79942)

 -- Branden Robinson <branden@debian.org>  Sun, 29 Apr 2001 04:37:28 +0000

xfree86 (4.0.2-13) unstable; urgency=medium

   * build using gcc 2.95.3-9 (see #92008)
   * debian/local/dexconf: don't freak out if the selected mode list is blank
   * debian/xlibs.{links,preinst,postinst,prerm}: the aggressive transition
     attempted in xlibs 4.0.2-12 didn't work as planned, due to the existence
     of packages which used the old app-defaults location but are no longer
     part of Debian for whatever reason, and therefore have no "fixed" version
     to upgrade to; removed all transition code from the preinst; stopped
     shipping /usr/X11R6/lib/X11/app-defaults altogether, move the file
     migration code to the postinst script, and handle the compatibility
     symlink in the postinst and prerm scripts just as we do the well-known
     /usr/doc/package -> /usr/share/doc/package compatibility symlink
     (Closes: #92074)

 -- Branden Robinson <branden@debian.org>  Fri, 30 Mar 2001 05:14:57 +0000

xfree86 (4.0.2-12) unstable; urgency=low

  * patch #200: patch for SPARC UltraIII support by David Miller (thanks, Ben
    Collins) (Closes: #91772)
  * patch #600: add in Phil Blundell's new ARM architecture patches
    (Closes: #89992, #90140)
  * patch #005: re-add #define HasPam YES to Debian-specific configuration
  * debian/local/dexconf: add value of shared/default-x-server to error output
    of fetch() (unless this is the very debconf value we couldn't retrieve)
  * debian/xlibs.preinst: now that the app-defaults transition is done, make
    the app-defaults migration more aggressive (Closes: #91000)
  * debian/xserver-xfree86.config:
    - provide driver list for ARM architecture
    - provide driver list for hurd-i386 architecture (same as i386)
  * debian/xserver-xfree86.postinst: dexconf exiting with an error is no
    longer an error for the postinst; people apparently insist on screwing
    themselves by telling debconf one thing, and then changing the /etc/X11/X
    symlink just for the fun of it.  Fine, you guys can write your
    XF86Config{,-4} files from scratch.  Don't come crying to me.
    (Closes: #91217)

 -- Branden Robinson <branden@debian.org>  Tue, 27 Mar 2001 18:00:15 +0000

xfree86 (4.0.2-11) unstable; urgency=low

  * IA64 architecture support from Randolph Chung
  * GNU Hurd support patches from Marcus Brinkmann
  * MANIFEST.arm: updates from Phil Blundell
  * patch #107: changes to XTerm app-defaults file:
    - removed the backarrowKey line
    - added backarrowKeyIsErase: true
    - removed all VT100 translation overrides
  * patch #600: ARM architecture patch for module loader and port I/O (only
    half-applied due to diff problems) (thanks, Phil Blundell)
  * patch #700,701,702: Hurd support patches from Marcus Brinkmann
  * debian/control:
    - tweaked Build-Depends
    - updated xutils extended description with info about some programs not
      being available on all architectures
  * debian/local/dexconf:
    - new function, fetch(), which is a wrapper around db_get that bombs the
      script if needed info from the debconf database is missing (use for all
      db_get's except the video RAM question)
    - make the Configured Mouse the core pointer, not the Generic Mouse
      (fixes problems with people not having USB devices at all, and without
      /dev/input directories)
  * debian/local/update-fonts-{alias,scale}:
    - echo errors to stderr, not stdout
    - slightly improved tempfile handling (no, this isn't a security issue)
  * debian/local/update-fonts-dir{,.8}:
    - new program and manpage in response to bug #88858
    - wrapper around mkfontdir(1) that is intelligent about encodings
      directories
  * debian/local/dexlet/main.glade: the "expert" button label should be
    "Advanced..."
  * debian/local/dexlet/main.py:
    - various tweaks to user-visible text from Robin Drake
    - neomagic driver was inadvertently left out; added it
    - matrox driver was incorrectly named in one place
  * debian/rules: remove call to dh_suidregister
  * debian/local/xserver-wrapper.c: add more info to "suspicious" error
    messges (Closes: #89646)
  * debian/xfonts-*.{pre,post}{inst,rm}: use new update-fonts-dir tool instead
    of mkfontdir; sed 's@bin/X11/mkfontdir@sbin/update-fonts-dir@g'
    (Closes: #88858)
  * debian/xserver-xfree86.config:
    - make configuration file clobbering questions high priority
    - if and only if the environment variable DEBUG_XFREE86_DECONF is set
      (to something non-null), debugging output will be generated, and
      pauses will occur before some db_inputs
    - add in lots of debugging for monitor autodetection
  * debian/xserver-xfree86.templates:
    - don't have modes higher than 1152x864 on by default in the available
      modes list
    - add more info to shared/multiple_possible_x-servers and
      multiple_possible_x-drivers descriptions
  * debian/xterm.{config,templates}: create a debconf question for xterm,
    offering to clobber old xterm X resource file from pre-4.0 packages

 -- Branden Robinson <branden@debian.org>  Sun, 18 Mar 2001 14:11:17 -0500

xfree86 (4.0.2-10) unstable; urgency=low

  * debian/control:
    - libxaw-dev depends on xlibs-dev (Closes: #88375)
    - xlib6g-dev depends on xutils (Closes: #88377)
  * debian/local/dexlet/main.glade: center the popup dialogs
  * debian/local/dexlet/main.py:
    - place desktop configuration screen after
      videocard, monitor, and pointer, because changes to videocard config
      can affect the desktop config widgets, and this ordering is more
      intuitive for the druid interface (addresses Progeny pr/1117)
    - added description to class for new configlet API
  * debian/xserver-xfree86.config: check for changed owners of
    default-x-server template before all autodetection logic
    (addresses Progeny pr/1158)

 -- Branden Robinson <branden@debian.org>  Tue,  6 Mar 2001 13:19:29 -0500

xfree86 (4.0.2-9) unstable; urgency=HIGH

  * debian/local/xserver-wrapper.c: whoops; readlink() doesn't
    null-terminate the target string

 -- Branden Robinson <branden@debian.org>  Tue, 27 Feb 2001 13:13:58 -0500

xfree86 (4.0.2-8) unstable; urgency=medium

  * MANIFEST.*: updated for new configlet images (see below)
  * debian/control:
    - bumped Standards-Version to 3.5.2 (no changes needed)
    - added debconf dependency to all the packages that use it
    - xserver-common now suggests xserver-xfree86 | xserver
    - fix xlibosmesa* short descriptions so they fit in 80 chars
  * debian/local/dexlet/*.xpm: some pictures to fill in the negative space
    in the configlet screens; thanks, Pat Tolbert!
  * debian/local/dexlet/main.glade:
    - add checkbox for new LCD monitor question
    - add some tooltips
    - fix up some irritating widget layout issues
  * debian/local/dexlet/main.py:
    - add logic to support new LCD monitor question
    - fix problem with namespacing of globals for horiz sync, vert refresh,
      and video ram
    - quick hack to make the message dialogs centered, since the configlet
      API doesn't give us access to the main window widget for setting
      them as transients (thanks, Eric Gillespie)
  * debian/local/xserver-wrapper.c: check out the X server symlink with
    readlink; abort if it's not a symlink, or if it points back to this
    wrapper
  * debian/shlibs.local:
    - add local shlib override for libGLU
  * debian/{twm,xterm}.prerm: call update-alternatives only on remove or
    deconfigure, not upgrade or failed-upgrade (Closes: #87133)
  * debian/xserver-common.{config,templates}: new question; inform user
    about xserver-xfree86 if they have an obsolete X server on the system
    and not the XFree86 4.x server
  * debian/xserver-common.files: ship new configlet images (see above)
  * debian/xserver-xfree86.config:
    - if the X server symlink points back to the wrapper, automatically
      clobber it
    - comment out a lot of workaround code to see if the shared template
      scanning problem is fixed in debconf
  * debian/xserver-xfree86.postinst:
    - use "message" function, not simple echo
    - only manipulate the /etc/X11/X symlink if the debconf database has
      info on the default X server; otherwise, display a helpful note
  * debian/xserver-xfree86.postrm:
    - remove /etc/X11/XF86Config-4 on purge
    - remove /etc/X11/X on purge, if and only if it points to the X server
      being purged
  * debian/xserver-xfree86.templates:
    - set default true on emulate3buttons and zaxismapping
  * debian/xserver-xfree86.prerm: use "message" function, not simple echo

 -- Branden Robinson <branden@debian.org>  Mon, 26 Feb 2001 20:41:23 -0500

xfree86 (4.0.2-7) unstable; urgency=low

  * debian/local/dexconf: forgot to write out "Configured Mouse" input device
    into the default ServerLayout section, if an additional mouse is detected
    or configured

 -- Branden Robinson <branden@debian.org>  Wed, 21 Feb 2001 23:22:43 -0500

xfree86 (4.0.2-6) unstable; urgency=low

  * thanks again to Chu-yeon Park for s390 updates
  * patch #005: tweak to s390 hunk at end
  * patch #032: new; don't build the X-TT module if not building the X
    server (thanks, Chu-yeon Park)
  * debian/MANIFEST.{mips,s390}: resynced with the other arches
  * debian/control:
    - s390 does not build xnest, xprt, xserver-common, xserver-xfree86, or
      xvfb, so these are no longer Architecture: any packages
    - improved description of what the mdetect and read-edid packages do
      for xserver-xfree86's .config scripts
  * debian/rules:
    - Dan Jacobowitz's patch for building only the X server (and its modules)
      Thanks, Dan!
    - several changes in light of the non-server-building s390
      architecture; instead of making things s390 specific, you can define
      NOT_BUILDING_X_SERVER in debian/scripts/vars.$(ARCH) and the right
      things should happen
  * debian/xserver-common.files: ship dummy image for configlet until real
    images are available
  * debian/local/main.{glade,py}: fix a couple of bugs with the "About
    32-bit color..." button

 -- Branden Robinson <branden@debian.org>  Tue, 20 Feb 2001 14:44:49 -0500

xfree86 (4.0.2-5) unstable; urgency=low

  * debian/control: add versioning to xlibs-dev's dependency on xlibs
    (Closes: #84269)
  * debian/local/dexlet/main.{glade,py}:
    - added checkbox for 1280x1024
    - add button to pop up info window about "32-bit color"
    - added optionmenu for default bpp (enabled for 3.x servers only)
    - remove noisy debugging ouput
  * debian/xserver-xfree86.config: remove noisy debugging ouput
  * debian/xserver-xfree86.templates: add more helpful info to potential
    high-priority questions

 -- Branden Robinson <branden@debian.org>  Mon, 19 Feb 2001 13:47:28 -0500

xfree86 (4.0.2-4) unstable; urgency=HIGH

  * debian/{MANIFEST,xserver-xfree86.docs,xserver-xfree86.files,xutils.files,
    scripts/vars}.mips: MIPS architecture patch from Christoph Martin
  * debian/control:
    - missed one section override resync, for xlibs-dev
    - xlibosmesa3 depends on xlibmesa3, not libgl1 (Closes: #83062)
  * debian/local/dexconf: take advantage of modern kernels' /dev/input/mice
    device (with xserver-xfree86 only), since it always opens successfully,
    always have an input device for it, and write an input device stanza
    which also sends core events for any non-USB autodetected mouse as well
  * debian/local/xserverrc: er, uh, thanks to the way xinit and startx
    work, there's no point giving arguments to this script; removed their
    passing to the X server
  * debian/xbase-clients.files:
    - [DUMBASS] We clobber the upstream startx and manpage with our own
      versions, so dh_movefiles doesn't see any difference.  Deleting those
      lines caused 4.0.2-3 to ship *without* startx or its manpage.
      Whoops.  Reverted this change.  Some bugs don't show up when you test
      with gdm...

 -- Branden Robinson <branden@debian.org>  Fri, 16 Feb 2001 21:22:52 -0500

xfree86 (4.0.2-3) unstable; urgency=medium

  * patch #005: fix typo in S/390 arch support (thanks, Chu-yeon Park)
  * patch #029: quick fix to xclock's ClockP.h to get it compiling against
    glibc CVS; the real fix should happen in Xos.h
  * patch #030: correct infinite loop problem with xmodmap (thanks, Peter
    Maydell) (Closes: #50950)
  * debian/{MANIFEST.s390,scripts/vars.s390}: preliminary IBM S/390 support
    by Chu-yeon Park
  * debian/control:
    - finally wrote package descriptions for xlib{os,}mesa*
    - resynced package sections and priorities with overrides file
    - bumped xbase-clients Replaces: of xserver-common to << 4.0
      (Closes: #83728)
  * debian/local/Xmodmap: add BackSpace and Delete key info for Acorn
    keyboards (thanks, Reuben Thomas) (Closes: #78849)
  * debian/local/startx{,.1x}:
    - got sick of patching upstream versions, and just forked our own;
      this one actually works the way startx is supposed to.  Thanks to
      Henry T. So, Jr. for some analysis and motivation.  (Closes: #65787)
    - There are subtle changes here which will affect sophisticated startx
      users.  Please read the new manpage.  (Closes: #76131)
  * debian/local/xserverrc:
    - declare interpreter on first line (it is a script, after all)
    - pass command-line arguments to X server
  * debian/rules:
    - ship our local startx and manpage
  * debian/xbase-clients.files:
    - don't ship upstream startx and manpage
  * debian/xbase-clients.menu:
    - fix menu locations for xbiff and xlogo (Closes: #85878)
    - add menu entry for xev (Closes: #64303)
  * debian/xbase-clients.templates: added German translation (thanks,
    Martin Schuster) (Closes: #83359)
  * debian/xserver-xfree86.{config,templates}: "expert" -> "advanced"
  * debian/xserver-xfree86.templates:
    - add 1280x1024 to available modes list, but default off (because its
      aspect ratio is wrong for almost all monitors)

 -- Branden Robinson <branden@debian.org>  Thu, 15 Feb 2001 18:12:57 -0500

xfree86 (4.0.2-2) unstable; urgency=HIGH

  * [SECURITY] security updates from upstream CVS xf-4_0_2-branch:
     - fix for insecure tempfile handling in Xaw's MultiSrc widget
     - fix for insecure tempfile handling in gccmakedep
     - fix for insecure tempfile handling in imake's manpage install rules
     - fix for insecure tempfile handling in xman
     - fix possible buffer overflow (NOT on stack) in xdm xdmcp code
  * [SECURITY] patch #009: old patch obsoleted by above security fixes;
    replaced with a new security fix for insecure tempfile handling in
    makedepend
  * patch #010: re-merged against xman in the wake of above fixes
  * patch #016: Brendan O'Dea's and my attempt to fix Xlib/glibc locale
    name conflict madness
  * patch #017: render fonts with correct bit order on PowerPC Mach64 cards
    (Closes: #79696)
  * The following patches are forward-ported from our XFree86 3.x packages:
  * patch #018: fix twm so it doesn't double-increment the line number of
    the configuration file while parsing it; important for debugging errors
    in twmrc files, so that it tells you the problem is on line n, not 2n
  * patch #019: xdm should not reset startAttempts counter to zero when an
    X server dies with SIGTERM
  * patch #020: remove repeated paragraph from xdm manpage
  * patch #021: shut up compiler warnings in
    xc/lib/lbxutil/image/{dfaxg42d.c,efaxg42d.c}
  * patch #022: shut up compiler warnings in xc/programs/Xserver/dix/gc.c
  * patch #023: add some reentrancy paranoia to signal handler functions in
    xauth
  * patch #024: Korean localization patch
  * patch #025: minor factual correction to sessreg manpage
  * patch #026: XKB macintosh symbols fix: a shifted BackSpace is not Delete
  * patch #027: XKB dvorak symbols fix: a shifted BackSpace is not Delete
  * patch #028: Chinese localization patch
  * now shipping a Python configlet (/usr/share/configlets/xserver-common)
  * debian/MANIFEST.*: updated to reflect new zh locale files
  * debian/control: xutils Replaces: xlib6g-dev and xcontrib (Closes: #83325)
  * debian/local/dexconf: send messages to stderr, not stdout
  * debian/local/dexconf.8: correct typos
  * debian/local/dexlet/main.glade:
    - remove bogus "foo bar baz" tooltip
    - fix some cosmetic widget layout issues
  * debian/local/dexlet/main.py:
    - correct erroneous setup of allowed_users widget, causing it to
      display the wrong value in some cases
    - correct bug in writing of available modes data to debconf database
    - default X server value was set inside of a loop instead of before it,
      clobbering any detected value we might find; now fixed (thanks, Jeff
      Licquia)
    - change code that was trying to be far too clever about writing out
      debconf data for XFree86 3.x config file video card and monitor info
      into something stupid but more robust
  * debian/xlibs.files: ship new zh locale files
  * debian/xserver-common.files: actually ship the damn manpage for
    Xwrapper.config I wrote almost a month ago
  * debian/xserver-common.templates: correct a typo found by ispell
  * debian/xserver-xfree86.config:
    - even if read-edid doesn't fail, it may not return useful information;
      add some robustness in this case
    - change priority of monitor setup questions if horiz sync and
      vert refresh are already known
    - enable reconfiguration of shared/default-x-server when a value
      already exists
    - correct erroneous logic that prevented autodetected video card
      identifier from being put in the debconf database
    - enhance monitor identifier default handling a bit
    - heavily rejiggered the way autodetection affects the setting of
      default values after consultation with Joey Hess
    - major workaround for debconf 0.3.83's shared template handling
      (thanks, Jeff Licquia)
    - add readlink() function, and ask question about clobbering the
      symlink to the default X server
    - bugfixes, bugfixes, bugfixes; it never ends
  * debian/xserver-xfree86.postinst:
    - only change X server symlink if the default X server was not
      autoselected by debconf itself, in the case where the shared template
      has only one value (thanks, Jeff Licquia)
    - if the /etc/X11/X symlink points to the X server wrapper, remove the
      symlink, since this would cause an infinite loop
    - tell people when we write the X server config file
  * debian/xserver-xfree86.templates:
    - mention that units of video ram are measured in kB
    - ran it through ispell to catch typos

 -- Branden Robinson <branden@debian.org>  Sat, 10 Feb 2001 17:17:48 -0500

xfree86 (4.0.2-1) unstable; urgency=low

  * new upstream version; Merry Christmas
  * patch #005: modified to turn BuildAllSpecsDocs on
  * patch #012: an effort to get more spec documentation building and
    installing
  * patch #013: install docs with .txt and .ps extensions, not .TXT and .PS
  * patch #014: modify xf86config program to use XF86Config-4, not
    XF86Config
  * debian/control:
    - xspecs now has an extended description
    - all xfonts-* package (except pex) conflict with xbase-clients (<< 4.0),
      because those old versions don't contain the font utilities they need
      (Closes: #80346)
    - xlibmesa3 replaces xserver-xfree86 (<< 4.0.2) (see below)
  * debian/local/Xsession.d/50xfree86-common_determine-startup:
    - fall back on .Xsession after trying .xsession to placate BSD and Red
      Hat fanatics
    - fall back on x-session-manager after user xsession, but before
      x-window manager and x-terminal-emulator
  * debian/xbase-clients.menu: add hints to xbase-clients apps
    (Closes: #80065)
  * debian/{xlibmesa3,xserver-xfree86}.{alpha,i386,sparc}: move DRI modules
    from XFree86 server package to Mesa library package, since these are
    loaded by libGL.so, not by the X server itself
  * debian/xserver-{common,xfree86}.templates:
    - warn about backups to ~
    - inform user about how debconf changes take effect
  * debian/xserver-xfree86.{config,postinst}: tons of bugfixes generally
  * debian/xspecs.docs: lots of new files to ship

 -- Branden Robinson <branden@debian.org>  Sun, 24 Dec 2000 23:44:03 -0500

xfree86 (4.0.1pre2.RC4-1) unstable; urgency=low

  * XFree86 4.0.2 Release Candidate 4.
  * upstream reverted some problematic changes to the tdfx driver
    (Closes: #79857)
  * modified patch #005 to #define Freetype2Dir (Closes: #79867)
  * updated rules and MANIFEST files to include new manpages (see below)
  * applied all needed patches to upstream source from old xcontrib package
    (Closes: #76527, #79789)
  * moved Chooser's app-defaults from xbase-clients to xdm, and updated
    debian/control appropriately
  * debian/control: added libfreetype6-dev to Build-Depends
  * debian/local/Xwrapper.config.5: wrote manpage for this file
  * debian/local/dexconf:
    - re-enable dexconf for version 3 output
    - fix ignorance of Emulate3Buttons and ZAxisMapping options
  * debian/local/dexconf.8: wrote manpage for dexconf
  * debian/xbase-clients.files: ship xf86config, its manpage, and the
    Cards file again (Closes: #76638)
  * debian/xserver-common.config: fix usage of relative paths when
    manipulating Xwrapper.config (Closes: #79783)
  * debian/xserver-xfree86.config: correct typo in mouse device selection
    for devfs users (thanks, Dan Jacobowitz)
  * debian/xserver-xfree86.templates: clarified language in monitor
    selection method template

 -- Branden Robinson <branden@debian.org>  Sun, 17 Dec 2000 20:11:21 -0500

xfree86 (4.0.1pre2.RC3-1) unstable; urgency=low

  * XFree86 4.0.2 Release Candidate 3.
  * Alpha architecture updates from Chris Chimelis
  * m68k architecture updates from Christian Steigies
  * updated MANIFEST.sparc
  * patch #007: fix incorrect error messages when tdfx driver tries to set
    up DRI
  * debian/control:
    - xbase-clients Conflicts: xdm (<< 4.0), because the old xdm will go
      looking for the sessreg utility in xbase-clients; sessreg, however,
      moved from xbase-clients to xutils with the packaging of 4.0 (and the
      new versions of xdm don't require sessreg to exist anymore anyway)
    - xlibs Conflicts: xbase-clients (<< 4.0), because the xkb directory
      moved and the old versions of xbase-clients will have an incorrect
      symlink for xkbcomp if it is installed in conjunction with xlibs
  * debian/xdm.pam: include pam_condev support
  * debian/xserver-common.{config,templates,postinst}: handle
    Xwrapper.config like we handle XF86Config-4 (see 4.0.1-11 changelog)
    (Closes: #79504)
  * debian/xserver-xfree86.config:
    - fixed leftover straggler from Yes/No to boolean template changeover
      (mouse retry question value check)
    - use dpkg --print-installation-architecture, not --print-architecture
  * debian/xserver-xfree86.templates: clarified language in
    clobber_XF86Config-4 template

 -- Branden Robinson <branden@debian.org>  Sat, 16 Dec 2000 03:09:11 -0500

xfree86 (4.0.1-12) unstable; urgency=low

  * consistently use "exit 0" in shell scripts instead of "exit"
    (Closes: #79398)
  * consistently use real filesystem path to provided alternatives, and
    de-register the old indirect ones (Closes: #79403)
  * debian/local/dexconf: correct quoting for monitor identifier
    (Closes: #79380)
  * debian/xserver-xfree86.{config,templates}:
    - enable expert monitor configuration mode now that input validation is
      working
    - add whitespace to a construction to work around ash's sloppy parser
      (Avoids: #79401) (reassigned to ash)

 -- Branden Robinson <branden@debian.org>  Tue, 12 Dec 2000 06:50:02 -0500

xfree86 (4.0.1-11) unstable; urgency=low

  * new upstream version (using alpha version 4.0.1Z)
    + libXft: Keith Packard's X FreeType interface library; static library
      include files, configuration file, and manual page; see Xft manpage
      for why this library is only available statically for the time being
    + minor version number on libX11 and libXmu bumped to reflect new UTF-8
      functions introduced in 4.0.1g
    + S3 Savage driver and manual page
    + etc/X11/xkb/symbols/tr
    + usr/X11R6/lib/X11/locale/mk_MK.UTF-8/Compose
  * patch #005: redefine the InstallAppDefaultsLong imake rule to not
    create a symlink (Closes: #76793)
  * patch #006: make Xft install its config file into CONFDIR instead of
    LIBDIR
  * updated MANIFEST.{i386,sparc,powerpc}
  * upstream has disabled DRI support for PowerPC; made appropriate changes
  * debian/control: correct typo in extended description of xutils
  * debian/local/dexconf: now able to write out old 3.x XF86Config files
  * debian/rules: don't strip xserver-xfree86 package on Alpha; there is a
    bug in the XFree86 module loader that breaks module loading if they are
    stripped on this architecture
  * debian/{shlibs.local,xlibs.shlibs}: bumped to reflect increase in
    libX11 and libXmu minor version number
  * debian/xfs/init: add -daemon as argument to xfs, since xfs has changed
    extensively upstream
  * debian/xlibs{,-dev}.files: ship new Xft stuff
  * debian/xserver-common.{config,templates}: new debconf question; a note
    that is displayed if /etc/X11/Xserver is present which tells people
    that it is obsolete and unused, since I am getting entirely too many
    bug reports and private mails helpfully informing me that the file
    doesn't do anything anymore.  Well, duh.  Apparently some folks would
    rather do without X altogether than pay any attention my changelog
    entries.
  * debian/xserver-common.{config,templates,postinst}: make a new template
    that contains the actual string that will be written to the
    Xwrapper.config for allowed_users; this template is used internally
    only and never seen by the user, and is necessary because you cannot
    associate selection choices with help text (Closes: #79229)
  * debian/xserver-xfree86.templates:
    - remove existing_XF86Config-4 template, replace it with
      clobber_XF86Config-4 template
    - change "Yes/No" templates of type select to booleans
  * debian/xserver-xfree86.config:
    - convert stored answers of "yes" and "no" to true and false for the
      questions that changed from selects to booleans
    - ask clobber_XF86Config-4 question instead of existing_XF86Config-4
    - add "savage" to i386 driver list
    - only use autodetection if the corresponding debconf templates don't
      already have answers
    - don't autodetect mouse or monitor if $DISPLAY is set, indicating a
      running X session
  * debian/xserver-xfree86.files.i386: ship savage driver and manpage
  * debian/xserver-xfree86.postinst: dexconf is now called if 1)
    /etc/X11/XF86Config-4 does not exist, or 2) the answer to
    clobber_XF86Config-4 is true, in which case the old one is backed up (the
    old appended ~ method) and the answer to clobber_XF86Config-4 is set back
    to false.  This is so that you don't configure X with debconf and clobber
    your config file deliberately once, then make hand edits to it and watch
    in dismay as it gets clobbered automatically next time xserver-xfree86 is
    upgraded.

 -- Branden Robinson <branden@debian.org>  Mon, 11 Dec 2000 02:47:08 -0500

xfree86 (4.0.1-10) unstable; urgency=low

  * updated Alpha architecture patches from Chris Chimelis (including patch
    #401)
  * incorporated preliminary ARM architecture support from Tor Slettnes
  * updated PowerPC architecture patches from Dan Jacobowitz (including
    patch #301)
  * updated m68k support from Christian Steigies
  * updated *.sparc files
  * debian/control:
    - add groff to Build-Depends (Closes: #78755)
    - also add bsdmainutils to Build-Depends
  * debian/local/xserver-wrapper.c:
    - fix dumb errors left over from debugging (Closes: #78572)
    - initialize "level" when it is declared
  * debian/rules:
    - when the MANIFEST check fails, spit out a diff before the error message
    - set DH_OPTIONS to -s instead of -a in the binary-arch rule
  * debian/xserver-xfree86.templates: added
    xserver-xfree86/existing_XF86Config-4
  * debian/xserver-xfree86.config:
    - move db_input and db_go outside of "$OWNERS" != "$CHOICES" test, so
      that the shared/default-x-server is asked during a reconfigure
      (thanks, John Goerzen)
    - exit before any XF86Config-4 questions if answer to
      xserver-xfree86/existing_XF86Config-4 is no (Closes: #78543)
    - fix use of uninitialized value (Closes: #78591)
    - add a db_go after the emulate3buttons and zaxismapping questions
    - correct misspelling of "IntelliMouse"

 -- Branden Robinson <branden@debian.org>  Tue,  5 Dec 2000 16:51:20 -0500

xfree86 (4.0.1-9) unstable; urgency=low

  * new upstream version (using alpha version 4.0.1g)
    + etc/X11/xkb/symbols/lt_{b,new} replaced by etc/X11/xkb/symbols/lt_std
    + new video driver: siliconmotion
    + new input drivers: citron, digitaledge, summa
    + removed input drivers: elo2300, magellan
    + major new UTF-8 support in Xlib; new functions:
      - Xutf8DrawImageString
      - Xutf8DrawString
      - Xutf8DrawText
      - Xutf8LookupString
      - Xutf8ResetIC
      - Xutf8SetWMProperties
      - Xutf8TextEscapement
      - Xutf8TextExtents
      - Xutf8TextListToTextProperty
      - Xutf8TextPerCharExtents
      - Xutf8TextPropertyToTextList
  * many of our patches accepted upstream; thus, removed many from
    debian/patches and tidied up the numbering
  * dexter has been obsoleted; all its questions have been made
    debconf questions instead; the "dexconf" tool is a backend that generates
    XF86Config files from debconf database values
  * debian/control:
    - remove xserver-common's recommendation of dialog
    - add suggestions of mdetect and read-edid to xserver-xfree86
    - xutils replaces xbase-clients (>= 4.0.1-8)
    - extended descriptions for libdps and libdps-dev (thanks, Juliusz
      Chroboczek) (Closes: #76210)
  * debian/rules: work around stupid lynx bug by setting TERM=vt100 before
    calling it
  * debian/xdm.init: add -f flag to rm $UPGRADEFILE
  * debian/{xbase-clients,xdm,xfree86-common,xfs,xlibs,xserver-common,xutils}
    .preinst: remove needless compare-versions checks
  * debian/{xbase-clients,xutils}.files.*: moved update-fonts-{alias,scale}
    from xbase-clients to xutils; I meant to do this a long time ago but
    forgot (Closes: #78267)

 -- Branden Robinson <branden@debian.org>  Tue, 28 Nov 2000 16:00:02 -0500

xfree86 (4.0.1-8) unstable; urgency=low

  * new upstream version (using alpha version 4.0.1f)
    + /etc/X11/xkb/symbols/yu renamed to /etc/X11/xkb/symbols/sr
    + two new xutils: /usr/X11R6/bin/{bdftruncate,ucs2any}.pl
    + many fonts in xfonts-base are now available in several encodings
    + new video driver: ark
  * CVS rdiff problems necessitate fresh upload of .orig.tar.gz
  * incorporated m68k architecture patches from Christian Steigies
  * incorporated PowerPC architecture patches from Susumu OSAWA
    (includes patch #210) (Closes: #77902)
  * patch #018: Pontus Lidman's glide driver fix (Closes: #77820)
  * debian/local/Xsession.d/20xfree86-common_process-args: quote variables
    that are possibly null before doing tests on them (thanks, Ernst
    Kloppenburg) (Closes: #77662)
  * debian/local/xserver-wrapper.c: now accepts hyphens in variable contents
    (oops) (Closes: #77646)
  * debian/local/dexter:
    - update to use new discover options and /etc/X11/X server selection
      method
    - use mouse option "ZAxisMapping" in generated config files
    - use better check for devfs usage (thanks, Marc Martinez)
      (Closes: #77130)

 -- Branden Robinson <branden@debian.org>  Fri, 24 Nov 2000 23:45:49 -0500

xfree86 (4.0.1-7) unstable; urgency=low

  * Fixed dumb errors in debian/xserver-xfree86.postinst.

 -- Branden Robinson <branden@debian.org>  Mon, 20 Nov 2000 22:37:52 -0500

xfree86 (4.0.1-6) unstable; urgency=medium

  * incorporated Alpha architecture patches from Chris Chimelis
    (Closes: #77258)
  * patch #009: updated to fix problem with xfs trying to free more font
    paths than it allocated (thanks, Charles C. Fu and ISHIKAWA Mutsumi)
    (Closes: #77182)
  * patch #015: Zeph Hull's fix for slow switching between multiple X
    servers using tdfx driver
  * patch #016: fix for tempfile race condition in libXaw (SECURITY)
  * patch #017: don't try forever to open a font server socket (thanks to
    David Luyer for the analysis) (Closes: #76756)
  * debian/control:
    - xlibmesa-dev Conflicts and Replaces mesag-widgets-dev (Closes: #77160)
    - xlibs-dev Replaces libxfont-xtt (<< 1:1.3.0.1-14), removed Conflicts
    - xlibs-dev Replaces xfs-xtt (<< 1:1.3.0.1-15)
    - xutils Replaces and Conflicts xserver-common (<< 4.0) (Closes: #77422)
    - restore ${shlibs:Depends} to a few packages
    - modify xlibs Conflicts/Replaces to ignore pre-released versions of
      slink X packages (Closes: #34672) (Technical Committee Ruling: do
      not re-open this bug under any circumstances)
  * debian/local/xserver-wrapper.c: major changes
    - new configuration file, Xwrapper.config, with different format
      (name=value)
    - now just exec's /etc/X11/X; whatever this symlink points to will be
      used as the X server
    - config file specifies allowed user types as before (root only,
      console users, anyone)
    - config file specifies nice value to use for server
  * debian/{xbase-clients,xdm}.templates: mention that ssh-based X
    connections are not prevented by running the X server with "-nolisten
    tcp" (Closes: #77427)
  * debian/xfs.README.Debian: add info on how to make an X server use xfs
    (Closes: #45016)
  * debian/xfs.{pre,post}{inst,rm}: change some references from
    /etc/X11/xfs to /etc/X11/fs (Closes: #77348)
  * debian/xserver-xfree86.{pre,post}{inst,rm}:
    - debconfization
    - don't mess with /etc/X11/Xserver anymore (Closes: #77106)
  * debian/xutils.{links,preinst,postinst}: symlink /usr/bin/rstartd to
    /usr/X11R6/bin/rstartd so rstart can find it (Closes: #77062)

 -- Branden Robinson <branden@debian.org>  Fri, 17 Nov 2000 15:35:51 -0500

xfree86 (4.0.1-5) unstable; urgency=low

  * MANIFEST.sparc: updated
  * debian/control:
    - backed out a couple of the Replaces/Conflicts with the xtt packages
    - xlibs-dev still Conflicts and Replaces libxfont-xtt-dev (see #76510)
    - xserver-xfree86 Replaces libxfont-xtt (<< 1:1.3.0.1-13)
    - xutils Replaces: xserver-common (<= 3.3.2.3a-11)

 -- Branden Robinson <branden@debian.org>  Wed, 15 Nov 2000 18:36:55 -0500

xfree86 (4.0.1-4) unstable; urgency=low

  * modify Craig Dunwoody's GLU patch to install GLU stuff to OpenGL
    ABI-correct directory
  * now shipping GLw (GL widget) static library, header files, and manpages
  * debconfization of xbase-clients, xdm, and xfs
  * {xbase-clients, xdm, xfs}.postinst: all output to stderr, not stdout
  * patch #001: import Debian-specific settings from patch #100
    (Closes: #76857)
  * patch #014: fix unsafe tempfile handling in imake (thanks, Colin Phipps)
    (Closes: #75336)
  * patch #106: edit xfs config file to serve up 100 dpi fonts before 75
    dpi, for consistency with rest of system
  * patch #108: patch GLX and GLw Imakefiles to install to OpenGL
    ABI-correct directory
  * debian/local/dexter:
    - update some of the internal logic to handle devfs paths for mouse ports
      (Closes: #76892)
    - check version of dialog on system (Closes: #76783)
  * debian/local/xdm.options.5: document removal of "run-xconsole" option
  * debian/xfree86-common.{preinst,postinst,postrm}: make migration of
    rgb.txt file more robust
  * debian/xbase-clients.menu: moved xcalc to Apps/Math (Closes: #76253)

 -- Branden Robinson <branden@debian.org>  Mon, 13 Nov 2000 18:15:45 -0500

xfree86 (4.0.1-3) unstable; urgency=low

  * patch #013: fix typo in dvorak XKB symbols file (Closes: #76263)
  * patch #100: #define BuildHtmlManPages NO
  * stop shipping HTML manpages, which are no longer built
  * actually ship /etc/pam.d/xdm now, instead of just leaving it in the
    source package
  * updated {MANIFEST,xserver-xfree86.{docs,files}}.sparc
  * debian/control:
    - add Conflicts and Replaces as needed for:
      + xfs with xfs-xtt
      + xlibs with libxfont-xtt
      + xlibs-dev with libxfont-xtt-dev (Closes: #76510)
    - cave in and make the font packages depend upon instead of
      recommending xutils
  * debian/local/dexter:
    - added splash screen that appears before first dialog (whatever that
      happens to be) which explains Dexter's scope a little bit
    - added default color depth selector for "medium" and "expert" options
    - display file write confirmation screen (only if the run has been
      interactive already)
    - enhanced a couple of dialogs with more advice
    - removed r128 from driver list since it has been merged into the ati
      driver
    - clean up dexter's tmpdir after writing config file

 -- Branden Robinson <branden@debian.org>  Thu,  9 Nov 2000 17:18:59 -0500

xfree86 (4.0.1-2) unstable; urgency=low

  * new upstream version (using alpha version 4.0.1e)
  * patch #100: correct BuilderEMailAddr now that XF4 packages are released
  * debian/*shlibs*: s/4.0.1-0/4.0.1-1/
  * debian/control:
    - xlibmesa packages now *do* contain libGLU, correct erroneous info in
      package description
    - add versioning to xserver-common's Recommends: of dialog to reflect
      dexter's needs (Closes: #76272)
    - remove xserver-xfree86's Conflicts: (more trouble than they are
      worth)
    - remove xserver-common's dependency on makedev
  * debian/local/dexter:
    - USB mice: use port "/dev/input/mice" and protocol "ImPS/2"
      (Closes: #76275)
    - checks for devfs, and uses devfs device paths if necessary
      (Closes: #76282)
  * debian/local/dexter.1:
    - add paragraph reiterating the limited scope of this tool
  * debian/local/xdm-pam.d: new file; ship as /etc/pam.d/xdm (thanks,
    Michal Politowski and Ben Collins) (Closes: #76276)
  * debian/xserver-xfree86.*: stop shipping xf86config tool and related
    files -- TEMPORARILY -- it will be back in a future Debian release
  * debian/xserver-xfree86.examples: ship
    xc/programs/Xserver/hw/xfree86/etc/vesamodes as an example, giving
    people a starting point for customized modelines
    (Closes: #25817, #58829)

 -- Branden Robinson <branden@debian.org>  Tue,  7 Nov 2000 20:59:53 -0500

xfree86 (4.0.1-1) unstable; urgency=low

  * new upstream version (using alpha version 4.0.1d) (Closes: #60137,42943)
  * See README.Debian-upgrade (xfree86-common docs) for an exhaustive
    explanation of the package reorganization.
  * The new xspecs package (the X specification documents) is in an
    unfinished state; some of the files are riddled with groff errors and
    won't build.
  * Not all the Debian patches from 3.3.6 have been migrated forward yet.
  * everything back into one source package
  * xlib6g has been renamed to xlibs; this is necessary because
    libXaw.so.6, previously contained in xlib6g, is now in its own package
    (libxaw6).  If xlib6g retained its old name, partial upgrades would be
    broken, since potato-era packages compiled against libXaw 6 would
    expect it to be present on a system with xlib6g installed.  So, the new
    X library conglomeration package is now called xlibs, and xlib6g will
    be maintained externally as a pseudopackage which depends on xlibs and
    libxaw6.  Thanks to Joey Hess for bringing this problem to my
    attention.  (As a bonus, we get to drop the nasty old "g" artifact --
    woohoo!)
  * includes Craig Dunwoody's libGLU building patch (many thanks to Frank
    Belew for help getting this working)
  * removed all traces of libc5-compat stuff (including the xlib6 packages)
  * removed all traces of xlib6g-static
  * hammered on Doogie's Build System a little bit
  * debian/control:
    - an almost complete rewrite
    - build dependencies are simpler with libc5 out of the picture
    - package arrangement has changed yet again
  * debian/copyright: updated and overhauled
  * debian/rules: major overhaul (trash the libc5 stuff), now uses
    debhelper
  * debian/local/Xsession: rewritten to use an Xsession.d directory
    (Closes: #68747)
  * debian/local/Xsession.d/90xfree86-common_ssh-agent:
    - check for $SSH2_AUTH_SOCK as well (Closes: #68739)
    - use ssh-agent2's ssh1 compatibility mode when it makes sense to do so
      (Closes: #40618)
  * Thanks to Progeny Linux Systems for sponsoring my efforts getting this
    package shoved out the door, kicking and screaming.

 -- Branden Robinson <branden@debian.org>  Thu,  2 Nov 2000 11:31:17 -0500

  See /usr/share/doc/xfree86-common/changelog.Debian.old.gz in the
  xfree86-common package for the remainder of this changelog.

  vim:ai:et:sts=2:sw=2:tw=78:
